Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.util
Interface IGL

    public interface IGL

OpenGL1.1, 1.2, 1.3, 1.4, 1.5, and all the EXT and ARB extensions in the LWJGL library. Its main purpose is to stop object-oriented zealots annoying us any more.

Version:
  $Revision: 2286 $ $Id: IGL.java 2286 2006-03-23 19:32:21Z matzon $ This is an interface describing an Object that can render using
Author:
  $Author: matzon $

Method Summary
`void` | `glAccum(int op, float value)`
`void` | `glActiveStencilFaceEXT(int face)`
`void` | `glActiveTexture(int texture)`
`void` | `glActiveTextureARB(int texture)`
`void` | `glAlphaFunc(int func, float ref)`
`void` | `glArrayElement(int i)`
`void` | `glAttachObjectARB(int containerObj, int obj)`
`void` | `glAttachShader(int program, int shader)`
`void` | `glBegin(int mode)`
`void` | `glBeginQuery(int target, int id)`
`void` | `glBeginQueryARB(int target, int id)`
`void` | `glBeginVertexShaderEXT()`
`void` | `glBindAttribLocation(int program, int index, java.nio.ByteBuffer name)`
`void` | `glBindAttribLocationARB(int programObj, int index, java.nio.ByteBuffer name)`
`void` | `glBindBuffer(int target, int buffer)`
`void` | `glBindBufferARB(int target, int buffer)`
`int` | `glBindLightParameterEXT(int light, int value)`
`int` | `glBindMaterialParameterEXT(int face, int value)`
`int` | `glBindParameterEXT(int value)`
`void` | `glBindProgramARB(int target, int program)`
`int` | `glBindTexGenParameterEXT(int unit, int coord, int value)`
`void` | `glBindTexture(int target, int texture)`
`int` | `glBindTextureUnitParameterEXT(int unit, int value)`
`void` | `glBindVertexShaderEXT(int id)`
`void` | `glBitmap(int width, int height, float xorig, float yorig, float xmove, float ymove, java.nio.ByteBuffer bitmap)`
`void` | `glBitmap(int width, int height, float xorig, float yorig, float xmove, float ymove, int buffer_offect)`
`void` | `glBlendColor(float red, float green, float blue, float alpha)`
`void` | `glBlendEquation(int mode)`
`void` | `glBlendEquationSeparateEXT(int modeRGB, int modeAlpha)`
`void` | `glBlendFunc(int sfactor, int dfactor)`
`void` | `glBlendFuncSeparate(int sfactorRGB, int dfactorRGB, int sfactorAlpha, int dfactorAlpha)`
`void` | `glBlendFuncSeparateEXT(int sfactorRGB, int dfactorRGB, int sfactorAlpha, int dfactorAlpha)`
`void` | `glBufferData(int target, java.nio.ByteBuffer data, int usage)`
`void` | `glBufferData(int target, java.nio.FloatBuffer data, int usage)`
`void` | `glBufferData(int target, java.nio.IntBuffer data, int usage)`
`void` | `glBufferData(int target, int size, int usage)`
`void` | `glBufferData(int target, java.nio.ShortBuffer data, int usage)`
`void` | `glBufferDataARB(int target, java.nio.ByteBuffer data, int usage)`
`void` | `glBufferDataARB(int target, java.nio.FloatBuffer data, int usage)`
`void` | `glBufferDataARB(int target, java.nio.IntBuffer data, int usage)`
`void` | `glBufferDataARB(int target, int size, int usage)`
`void` | `glBufferDataARB(int target, java.nio.ShortBuffer data, int usage)`
`void` | `glBufferSubData(int target, int offset, java.nio.ByteBuffer data)`
`void` | `glBufferSubData(int target, int offset, java.nio.FloatBuffer data)`
`void` | `glBufferSubData(int target, int offset, java.nio.IntBuffer data)`
`void` | `glBufferSubData(int target, int offset, java.nio.ShortBuffer data)`
`void` | `glBufferSubDataARB(int target, int offset, java.nio.ByteBuffer data)`
`void` | `glBufferSubDataARB(int target, int offset, java.nio.FloatBuffer data)`
`void` | `glBufferSubDataARB(int target, int offset, java.nio.IntBuffer data)`
`void` | `glBufferSubDataARB(int target, int offset, java.nio.ShortBuffer data)`
`void` | `glCallList(int list)`
`void` | `glCallLists(java.nio.ByteBuffer lists)`
`void` | `glCallLists(java.nio.IntBuffer lists)`
`void` | `glCallLists(java.nio.ShortBuffer lists)`
`void` | `glClear(int mask)`
`void` | `glClearAccum(float red, float green, float blue, float alpha)`
`void` | `glClearColor(float red, float green, float blue, float alpha)`
`void` | `glClearDepth(double depth)`
`void` | `glClearStencil(int s)`
`void` | `glClientActiveTexture(int texture)`
`void` | `glClientActiveTextureARB(int texture)`
`void` | `glClipPlane(int plane, java.nio.DoubleBuffer equation)`
`void` | `glColor3b(byte red, byte green, byte blue)`
`void` | `glColor3f(float red, float green, float blue)`
`void` | `glColor3ub(byte red, byte green, byte blue)`
`void` | `glColor4b(byte red, byte green, byte blue, byte alpha)`
`void` | `glColor4f(float red, float green, float blue, float alpha)`
`void` | `glColor4ub(byte red, byte green, byte blue, byte alpha)`
`void` | `glColorMask(boolean red, boolean green, boolean blue, boolean alpha)`
`void` | `glColorMaterial(int face, int mode)`
`void` | `glColorPointer(int size, boolean unsigned, int stride, java.nio.ByteBuffer pointer)`
`void` | `glColorPointer(int size, int stride, java.nio.FloatBuffer pointer)`
`void` | `glColorPointer(int size, int type, int stride, int buffer_offset)`
`void` | `glColorSubTable(int target, int start, int count, int format, int type, java.nio.ByteBuffer data)`
`void` | `glColorSubTable(int target, int start, int count, int format, int type, java.nio.FloatBuffer data)`
`void` | `glColorSubTable(int target, int start, int count, int format, int type, int buffer_offset)`
`void` | `glColorTable(int target, int internalFormat, int width, int format, int type, java.nio.ByteBuffer data)`
`void` | `glColorTable(int target, int internalFormat, int width, int format, int type, java.nio.FloatBuffer data)`
`void` | `glColorTable(int target, int internalFormat, int width, int format, int type, int buffer_offset)`
`void` | `glColorTableParameter(int target, int pname, java.nio.FloatBuffer params)`
`void` | `glColorTableParameter(int target, int pname, java.nio.IntBuffer params)`
`void` | `glCompileShader(int shader)`
`void` | `glCompileShaderARB(int shaderObj)`
`void` | `glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize, java.nio.ByteBuffer data)`
`void` | `glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize, java.nio.FloatBuffer data)`
`void` | `glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize, int buffer_offset)`
`void` | `glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize, java.nio.IntBuffer data)`
`void` | `glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize, java.nio.ShortBuffer data)`
`void` | `glCompressedTexImage1DARB(int target, int level, int internalformat, int width, int border, int imageSize, java.nio.ByteBuffer pData)`
`void` | `glCompressedTexImage1DARB(int target, int level, int internalformat, int width, int border, int imageSize, java.nio.FloatBuffer pData)`
`void` | `glCompressedTexImage1DARB(int target, int level, int internalformat, int width, int border, int imageSize, java.nio.IntBuffer pData)`
`void` | `glCompressedTexImage1DARB(int target, int level, int internalformat, int width, int border, int imageSize, java.nio.ShortBuffer pData)`
`void` | `glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize, java.nio.ByteBuffer data)`
`void` | `glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize, java.nio.FloatBuffer data)`
`void` | `glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize, int buffer_offset)`
`void` | `glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize, java.nio.IntBuffer data)`
`void` | `glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize, java.nio.ShortBuffer data)`
`void` | `glCompressedTexImage2DARB(int target, int level, int internalformat, int width, int height, int border, int imageSize, java.nio.ByteBuffer pData)`
`void` | `glCompressedTexImage2DARB(int target, int level, int internalformat, int width, int height, int border, int imageSize, java.nio.FloatBuffer pData)`
`void` | `glCompressedTexImage2DARB(int target, int level, int internalformat, int width, int height, int border, int imageSize, java.nio.IntBuffer pData)`
`void` | `glCompressedTexImage2DARB(int target, int level, int internalformat, int width, int height, int border, int imageSize, java.nio.ShortBuffer pData)`
`void` | `glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, java.nio.ByteBuffer data)`
`void` | `glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, java.nio.FloatBuffer data)`
`void` | `glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, int buffer_offset)`
`void` | `glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, java.nio.IntBuffer data)`
`void` | `glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, java.nio.ShortBuffer data)`
`void` | `glCompressedTexImage3DARB(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, java.nio.ByteBuffer pData)`
`void` | `glCompressedTexImage3DARB(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, java.nio.FloatBuffer pData)`
`void` | `glCompressedTexImage3DARB(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, java.nio.IntBuffer pData)`
`void` | `glCompressedTexImage3DARB(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, java.nio.ShortBuffer pData)`
`void` | `glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int imageSize, java.nio.ByteBuffer data)`
`void` | `glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int imageSize, java.nio.FloatBuffer data)`
`void` | `glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int imageSize, int buffer_offset)`
`void` | `glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int imageSize, java.nio.IntBuffer data)`
`void` | `glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int imageSize, java.nio.ShortBuffer data)`
`void` | `glCompressedTexSubImage1DARB(int target, int level, int xoffset, int width, int border, int imageSize, java.nio.ByteBuffer pData)`
`void` | `glCompressedTexSubImage1DARB(int target, int level, int xoffset, int width, int border, int imageSize, java.nio.FloatBuffer pData)`
`void` | `glCompressedTexSubImage1DARB(int target, int level, int xoffset, int width, int border, int imageSize, java.nio.IntBuffer pData)`
`void` | `glCompressedTexSubImage1DARB(int target, int level, int xoffset, int width, int border, int imageSize, java.nio.ShortBuffer pData)`
`void` | `glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int imageSize, java.nio.ByteBuffer data)`
`void` | `glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int imageSize, java.nio.FloatBuffer data)`
`void` | `glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int imageSize, int buffer_offset)`
`void` | `glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int imageSize, java.nio.IntBuffer data)`
`void` | `glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int imageSize, java.nio.ShortBuffer data)`
`void` | `glCompressedTexSubImage2DARB(int target, int level, int xoffset, int yoffset, int width, int height, int border, int imageSize, java.nio.ByteBuffer pData)`
`void` | `glCompressedTexSubImage2DARB(int target, int level, int xoffset, int yoffset, int width, int height, int border, int imageSize, java.nio.FloatBuffer pData)`
`void` | `glCompressedTexSubImage2DARB(int target, int level, int xoffset, int yoffset, int width, int height, int border, int imageSize, java.nio.IntBuffer pData)`
`void` | `glCompressedTexSubImage2DARB(int target, int level, int xoffset, int yoffset, int width, int height, int border, int imageSize, java.nio.ShortBuffer pData)`
`void` | `glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, java.nio.ByteBuffer data)`
`void` | `glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, java.nio.FloatBuffer data)`
`void` | `glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, int buffer_offset)`
`void` | `glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, java.nio.IntBuffer data)`
`void` | `glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, java.nio.ShortBuffer data)`
`void` | `glCompressedTexSubImage3DARB(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int border, int imageSize, java.nio.ByteBuffer pData)`
`void` | `glCompressedTexSubImage3DARB(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int border, int imageSize, java.nio.FloatBuffer pData)`
`void` | `glCompressedTexSubImage3DARB(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int border, int imageSize, java.nio.IntBuffer pData)`
`void` | `glCompressedTexSubImage3DARB(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int border, int imageSize, java.nio.ShortBuffer pData)`
`void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, java.nio.ByteBuffer image)`
`void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, java.nio.FloatBuffer image)`
`void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, int buffer_offset)`
`void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, java.nio.IntBuffer image)`
`void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, java.nio.ShortBuffer image)`
`void` | `glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ByteBuffer image)`
`void` | `glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, int buffer_offset)`
`void` | `glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.IntBuffer image)`
`void` | `glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ShortBuffer image)`
`void` | `glConvolutionParameter(int target, int pname, java.nio.FloatBuffer params)`
`void` | `glConvolutionParameter(int target, int pname, java.nio.IntBuffer params)`
`void` | `glConvolutionParameterf(int target, int pname, float params)`
`void` | `glConvolutionParameteri(int target, int pname, int params)`
`void` | `glCopyColorSubTable(int target, int start, int x, int y, int width)`
`void` | `glCopyColorTable(int target, int internalformat, int x, int y, int width)`
`void` | `glCopyConvolutionFilter1D(int target, int internalformat, int x, int y, int width)`
`void` | `glCopyConvolutionFilter2D(int target, int internalformat, int x, int y, int width, int height)`
`void` | `glCopyPixels(int x, int y, int width, int height, int type)`
`void` | `glCopyTexImage1D(int target, int level, int internalFormat, int x, int y, int width, int border)`
`void` | `glCopyTexImage2D(int target, int level, int internalFormat, int x, int y, int width, int height, int border)`
`void` | `glCopyTexSubImage1D(int target, int level, int xoffset, int x, int y, int width)`
`void` | `glCopyTexSubImage2D(int target, int level, int xoffset, int yoffset, int x, int y, int width, int height)`
`void` | `glCopyTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)`
`int` | `glCreateProgram()`
`int` | `glCreateProgramObjectARB()`
`int` | `glCreateShader(int type)`
`int` | `glCreateShaderObjectARB(int shaderType)`
`void` | `glCullFace(int mode)`
`void` | `glCurrentPaletteMatrixARB(int index)`
`void` | `glDeleteBuffers(java.nio.IntBuffer buffers)`
`void` | `glDeleteBuffersARB(java.nio.IntBuffer buffers)`
`void` | `glDeleteLists(int list, int range)`
`void` | `glDeleteObjectARB(int obj)`
`void` | `glDeleteProgram(int program)`
`void` | `glDeleteProgramsARB(java.nio.IntBuffer programs)`
`void` | `glDeleteQueries(java.nio.IntBuffer ids)`
`void` | `glDeleteQueriesARB(java.nio.IntBuffer ids)`
`void` | `glDeleteShader(int shader)`
`void` | `glDeleteTextures(java.nio.IntBuffer textures)`
`void` | `glDeleteVertexShaderEXT(int id)`
`void` | `glDepthBoundsEXT(float zmin, float zmax)`
`void` | `glDepthFunc(int func)`
`void` | `glDepthMask(boolean flag)`
`void` | `glDepthRange(double zNear, double zFar)`
`void` | `glDetachObjectARB(int containerObj, int attachedObj)`
`void` | `glDetachShader(int program, int shader)`
`void` | `glDisable(int cap)`
`void` | `glDisableClientState(int cap)`
`void` | `glDisableVariantClientStateEXT(int id)`
`void` | `glDisableVertexAttribArrayARB(int index)`
`void` | `glDrawArrays(int mode, int first, int count)`
`void` | `glDrawBuffer(int mode)`
`void` | `glDrawBuffers(java.nio.IntBuffer buffers)`
`void` | `glDrawElements(int mode, java.nio.ByteBuffer indices)`
`void` | `glDrawElements(int mode, java.nio.IntBuffer indices)`
`void` | `glDrawElements(int mode, int count, int type, int buffer_offset)`
`void` | `glDrawElements(int mode, java.nio.ShortBuffer indices)`
`void` | `glDrawPixels(int width, int height, int format, int type, java.nio.ByteBuffer pixels)`
`void` | `glDrawPixels(int width, int height, int format, int type, int buffer_offset)`
`void` | `glDrawPixels(int width, int height, int format, int type, java.nio.IntBuffer pixels)`
`void` | `glDrawPixels(int width, int height, int format, int type, java.nio.ShortBuffer pixels)`
`void` | `glDrawRangeElements(int mode, int start, int end, java.nio.ByteBuffer indices)`
`void` | `glDrawRangeElements(int mode, int start, int end, java.nio.IntBuffer indices)`
`void` | `glDrawRangeElements(int mode, int start, int end, int count, int type, int buffer_offset)`
`void` | `glDrawRangeElements(int mode, int start, int end, java.nio.ShortBuffer indices)`
`void` | `glDrawRangeElementsEXT(int mode, int start, int end, java.nio.ByteBuffer pIndices)`
`void` | `glDrawRangeElementsEXT(int mode, int start, int end, java.nio.IntBuffer pIndices)`
`void` | `glDrawRangeElementsEXT(int mode, int start, int end, int count, int type, int buffer_offset)`
`void` | `glDrawRangeElementsEXT(int mode, int start, int end, java.nio.ShortBuffer pIndices)`
`void` | `glEdgeFlag(boolean flag)`
`void` | `glEdgeFlagPointer(int stride, java.nio.ByteBuffer pointer)`
`void` | `glEdgeFlagPointer(int stride, int buffer_offset)`
`void` | `glEnable(int cap)`
`void` | `glEnableClientState(int cap)`
`void` | `glEnableVariantClientStateEXT(int id)`
`void` | `glEnableVertexAttribArrayARB(int index)`
`void` | `glEnd()`
`void` | `glEndList()`
`void` | `glEndQuery(int target)`
`void` | `glEndQueryARB(int target)`
`void` | `glEndVertexShaderEXT()`
`void` | `glEvalCoord1f(float u)`
`void` | `glEvalCoord2f(float u, float v)`
`void` | `glEvalMesh1(int mode, int i1, int i2)`
`void` | `glEvalMesh2(int mode, int i1, int i2, int j1, int j2)`
`void` | `glEvalPoint1(int i)`
`void` | `glEvalPoint2(int i, int j)`
`void` | `glExtractComponentEXT(int res, int src, int num)`
`void` | `glFeedbackBuffer(int type, java.nio.FloatBuffer buffer)`
`void` | `glFinish()`
`void` | `glFlush()`
`void` | `glFog(int pname, java.nio.FloatBuffer params)`
`void` | `glFog(int pname, java.nio.IntBuffer params)`
`void` | `glFogCoordf(float coord)`
`void` | `glFogCoordfEXT(float coord)`
`void` | `glFogCoordPointer(int stride, java.nio.FloatBuffer data)`
`void` | `glFogCoordPointer(int type, int stride, int buffer_offset)`
`void` | `glFogCoordPointerEXT(int stride, java.nio.FloatBuffer data)`
`void` | `glFogCoordPointerEXT(int type, int stride, int buffer_offset)`
`void` | `glFogf(int pname, float param)`
`void` | `glFogi(int pname, int param)`
`void` | `glFrontFace(int mode)`
`void` | `glFrustum(double left, double right, double bottom, double top, double zNear, double zFar)`
`void` | `glGenBuffers(java.nio.IntBuffer buffers)`
`void` | `glGenBuffersARB(java.nio.IntBuffer buffers)`
`int` | `glGenLists(int range)`
`void` | `glGenProgramsARB(java.nio.IntBuffer programs)`
`void` | `glGenQueries(java.nio.IntBuffer ids)`
`void` | `glGenQueriesARB(java.nio.IntBuffer ids)`
`int` | `glGenSymbolsEXT(int dataType, int storageType, int range, int components)`
`void` | `glGenTextures(java.nio.IntBuffer textures)`
`int` | `glGenVertexShadersEXT(int range)`
`void` | `glGetActiveAttrib(int program, int index, java.nio.IntBuffer length, java.nio.IntBuffer size, java.nio.IntBuffer type, java.nio.ByteBuffer name)`
`void` | `glGetActiveAttribARB(int programObj, int index, java.nio.IntBuffer length, java.nio.IntBuffer size, java.nio.IntBuffer type, java.nio.ByteBuffer name)`
`void` | `glGetActiveUniform(int program, int index, java.nio.IntBuffer length, java.nio.IntBuffer size, java.nio.IntBuffer type, java.nio.ByteBuffer name)`
`void` | `glGetActiveUniformARB(int programObj, int index, java.nio.IntBuffer length, java.nio.IntBuffer size, java.nio.IntBuffer type, java.nio.ByteBuffer name)`
`void` | `glGetAttachedObjectsARB(int containerObj, java.nio.IntBuffer count, java.nio.IntBuffer obj)`
`void` | `glGetAttachedShaders(int program, java.nio.IntBuffer count, java.nio.IntBuffer shaders)`
`int` | `glGetAttribLocation(int program, java.nio.ByteBuffer name)`
`int` | `glGetAttribLocationARB(int programObj, java.nio.ByteBuffer name)`
`void` | `glGetBoolean(int pname, java.nio.ByteBuffer params)`
`void` | `glGetBufferParameter(int target, int pname, java.nio.IntBuffer params)`
`void` | `glGetBufferParameterARB(int target, int pname, java.nio.IntBuffer params)`
`java.nio.ByteBuffer` | `glGetBufferPointer(int target, int pname, int size)`
`java.nio.ByteBuffer` | `glGetBufferPointerARB(int target, int pname, int size)`
`void` | `glGetBufferSubData(int target, int offset, java.nio.ByteBuffer data)`
`void` | `glGetBufferSubData(int target, int offset, java.nio.FloatBuffer data)`
`void` | `glGetBufferSubData(int target, int offset, java.nio.IntBuffer data)`
`void` | `glGetBufferSubData(int target, int offset, java.nio.ShortBuffer data)`
`void` | `glGetBufferSubDataARB(int target, int offset, java.nio.ByteBuffer data)`
`void` | `glGetBufferSubDataARB(int target, int offset, java.nio.FloatBuffer data)`
`void` | `glGetBufferSubDataARB(int target, int offset, java.nio.IntBuffer data)`
`void` | `glGetBufferSubDataARB(int target, int offset, java.nio.ShortBuffer data)`
`void` | `glGetClipPlane(int plane, java.nio.DoubleBuffer equation)`
`void` | `glGetColorTable(int target, int format, int type, java.nio.ByteBuffer data)`
`void` | `glGetColorTable(int target, int format, int type, java.nio.FloatBuffer data)`
`void` | `glGetColorTableParameter(int target, int pname, java.nio.FloatBuffer params)`
`void` | `glGetColorTableParameter(int target, int pname, java.nio.IntBuffer params)`
`void` | `glGetCompressedTexImage(int target, int lod, java.nio.ByteBuffer img)`
`void` | `glGetCompressedTexImage(int target, int lod, int buffer_offset)`
`void` | `glGetCompressedTexImage(int target, int lod, java.nio.IntBuffer img)`
`void` | `glGetCompressedTexImage(int target, int lod, java.nio.ShortBuffer img)`
`void` | `glGetCompressedTexImageARB(int target, int lod, java.nio.ByteBuffer pImg)`
`void` | `glGetCompressedTexImageARB(int target, int lod, java.nio.IntBuffer pImg)`
`void` | `glGetCompressedTexImageARB(int target, int lod, java.nio.ShortBuffer pImg)`
`void` | `glGetConvolutionFilter(int target, int format, int type, java.nio.ByteBuffer image)`
`void` | `glGetConvolutionFilter(int target, int format, int type, java.nio.FloatBuffer image)`
`void` | `glGetConvolutionFilter(int target, int format, int type, int buffer_offset)`
`void` | `glGetConvolutionFilter(int target, int format, int type, java.nio.IntBuffer image)`
`void` | `glGetConvolutionFilter(int target, int format, int type, java.nio.ShortBuffer image)`
`void` | `glGetConvolutionParameter(int target, int pname, java.nio.FloatBuffer params)`
`void` | `glGetConvolutionParameter(int target, int pname, java.nio.IntBuffer params)`
`void` | `glGetDouble(int pname, java.nio.DoubleBuffer params)`
`int` | `glGetError()`
`void` | `glGetFloat(int pname, java.nio.FloatBuffer params)`
`int` | `glGetHandleARB(int pname)`
`void` | `glGetHistogram(int target, boolean reset, int format, int type, java.nio.ByteBuffer values)`
`void` | `glGetHistogram(int target, boolean reset, int format, int type, java.nio.FloatBuffer values)`
`void` | `glGetHistogram(int target, boolean reset, int format, int type, int buffer_offset)`
`void` | `glGetHistogram(int target, boolean reset, int format, int type, java.nio.IntBuffer values)`
`void` | `glGetHistogram(int target, boolean reset, int format, int type, java.nio.ShortBuffer values)`
`void` | `glGetHistogramParameter(int target, int pname, java.nio.FloatBuffer params)`
`void` | `glGetHistogramParameter(int target, int pname, java.nio.IntBuffer params)`
`void` | `glGetInfoLogARB(int obj, java.nio.IntBuffer length, java.nio.ByteBuffer infoLog)`
`void` | `glGetInteger(int pname, java.nio.IntBuffer params)`
`void` | `glGetInvariantBooleanEXT(int id, int value, java.nio.ByteBuffer pbData)`
`void` | `glGetInvariantFloatEXT(int id, int value, java.nio.FloatBuffer pfData)`
`void` | `glGetInvariantIntegerEXT(int id, int value, java.nio.IntBuffer piData)`
`void` | `glGetLight(int light, int pname, java.nio.FloatBuffer params)`
`void` | `glGetLight(int light, int pname, java.nio.IntBuffer params)`
`void` | `glGetLocalConstantBooleanEXT(int id, int value, java.nio.ByteBuffer pbData)`
`void` | `glGetLocalConstantFloatEXT(int id, int value, java.nio.FloatBuffer pfData)`
`void` | `glGetLocalConstantIntegerEXT(int id, int value, java.nio.IntBuffer piData)`
`void` | `glGetMap(int target, int query, java.nio.FloatBuffer v)`
`void` | `glGetMap(int target, int query, java.nio.IntBuffer v)`
`void` | `glGetMaterial(int face, int pname, java.nio.FloatBuffer params)`
`void` | `glGetMaterial(int face, int pname, java.nio.IntBuffer params)`
`void` | `glGetMinmax(int target, boolean reset, int format, int types, java.nio.ByteBuffer values)`
`void` | `glGetMinmax(int target, boolean reset, int format, int types, java.nio.FloatBuffer values)`
`void` | `glGetMinmax(int target, boolean reset, int format, int types, int buffer_offset)`
`void` | `glGetMinmax(int target, boolean reset, int format, int types, java.nio.IntBuffer values)`
`void` | `glGetMinmax(int target, boolean reset, int format, int types, java.nio.ShortBuffer values)`
`void` | `glGetMinmaxParameter(int target, int pname, java.nio.FloatBuffer params)`
`void` | `glGetMinmaxParameter(int target, int pname, java.nio.IntBuffer params)`
`void` | `glGetObjectParameterARB(int obj, int pname, java.nio.FloatBuffer params)`
`void` | `glGetObjectParameterARB(int obj, int pname, java.nio.IntBuffer params)`
`void` | `glGetPixelMap(int map, java.nio.FloatBuffer values)`
`void` | `glGetPixelMapfv(int map, int buffer_offset)`
`void` | `glGetPixelMapu(int map, java.nio.IntBuffer values)`
`void` | `glGetPixelMapu(int map, java.nio.ShortBuffer values)`
`void` | `glGetPixelMapuiv(int map, int buffer_offset)`
`void` | `glGetPixelMapusv(int map, int buffer_offset)`
`java.nio.ByteBuffer` | `glGetPointer(int pname, int size)`
`void` | `glGetPolygonStipple(java.nio.ByteBuffer mask)`
`void` | `glGetPolygonStipple(int buffer_offset)`
`void` | `glGetProgram(int program, int pname, java.nio.IntBuffer params)`
`void` | `glGetProgramARB(int target, int parameterName, java.nio.IntBuffer params)`
`void` | `glGetProgramEnvParameterARB(int target, int index, java.nio.FloatBuffer params)`
`void` | `glGetProgramInfoLog(int program, java.nio.IntBuffer length, java.nio.ByteBuffer infoLog)`
`void` | `glGetProgramLocalParameterARB(int target, int index, java.nio.FloatBuffer params)`
`void` | `glGetProgramStringARB(int target, int parameterName, java.nio.ByteBuffer paramString)`
`void` | `glGetQuery(int target, int pname, java.nio.IntBuffer params)`
`void` | `glGetQueryARB(int target, int pname, java.nio.IntBuffer params)`
`void` | `glGetQueryObject(int id, int pname, java.nio.IntBuffer params)`
`void` | `glGetQueryObjectARB(int id, int pname, java.nio.IntBuffer params)`
`void` | `glGetQueryObjectu(int id, int pname, java.nio.IntBuffer params)`
`void` | `glGetQueryObjectuARB(int id, int pname, java.nio.IntBuffer params)`
`void` | `glGetSeparableFilter(int target, int format, int type, int row_offset, int column_offset, int span_offset)`
`void` | `glGetShader(int shader, int pname, java.nio.IntBuffer params)`
`void` | `glGetShaderInfoLog(int shader, java.nio.IntBuffer length, java.nio.ByteBuffer infoLog)`
`void` | `glGetShaderSource(int shader, java.nio.IntBuffer length, java.nio.ByteBuffer source)`
`void` | `glGetShaderSourceARB(int obj, java.nio.IntBuffer length, java.nio.ByteBuffer source)`
`java.lang.String` | `glGetString(int name)`
`void` | `glGetTexEnv(int coord, int pname, java.nio.FloatBuffer params)`
`void` | `glGetTexEnv(int coord, int pname, java.nio.IntBuffer params)`
`void` | `glGetTexGen(int coord, int pname, java.nio.FloatBuffer params)`
`void` | `glGetTexGen(int coord, int pname, java.nio.IntBuffer params)`
`void` | `glGetTexImage(int target, int level, int format, int type, java.nio.ByteBuffer pixels)`
`void` | `glGetTexImage(int target, int level, int format, int type, int buffer_offset)`
`void` | `glGetTexImage(int target, int level, int format, int type, java.nio.IntBuffer pixels)`
`void` | `glGetTexImage(int target, int level, int format, int type, java.nio.ShortBuffer pixels)`
`void` | `glGetTexLevelParameter(int target, int level, int pname, java.nio.FloatBuffer params)`
`void` | `glGetTexLevelParameter(int target, int level, int pname, java.nio.IntBuffer params)`
`void` | `glGetTexParameter(int target, int pname, java.nio.FloatBuffer params)`
`void` | `glGetTexParameter(int target, int pname, java.nio.IntBuffer params)`
`void` | `glGetUniform(int program, int location, java.nio.FloatBuffer params)`
`void` | `glGetUniform(int program, int location, java.nio.IntBuffer params)`
`void` | `glGetUniformARB(int programObj, int location, java.nio.FloatBuffer params)`
`void` | `glGetUniformARB(int programObj, int location, java.nio.IntBuffer params)`
`int` | `glGetUniformLocation(int program, java.nio.ByteBuffer name)`
`int` | `glGetUniformLocationARB(int programObj, java.nio.ByteBuffer name)`
`void` | `glGetVariantBooleanEXT(int id, int value, java.nio.ByteBuffer pbData)`
`void` | `glGetVariantFloatEXT(int id, int value, java.nio.FloatBuffer pfData)`
`void` | `glGetVariantIntegerEXT(int id, int value, java.nio.IntBuffer piData)`
`java.nio.ByteBuffer` | `glGetVariantPointerEXT(int id, int value, int size)`
`void` | `glGetVertexAttribARB(int index, int pname, java.nio.FloatBuffer params)`
`void` | `glGetVertexAttribARB(int index, int pname, java.nio.IntBuffer params)`
`java.nio.ByteBuffer` | `glGetVertexAttribPointerARB(int index, int pname, int size)`
`void` | `glHint(int target, int mode)`
`void` | `glHistogram(int target, int width, int internalformat, boolean sink)`
`void` | `glInitNames()`
`void` | `glInsertComponentEXT(int res, int src, int num)`
`void` | `glInterleavedArrays(int format, int stride, java.nio.ByteBuffer pointer)`
`void` | `glInterleavedArrays(int format, int stride, java.nio.FloatBuffer pointer)`
`void` | `glInterleavedArrays(int format, int stride, int buffer_offset)`
`void` | `glInterleavedArrays(int format, int stride, java.nio.IntBuffer pointer)`
`void` | `glInterleavedArrays(int format, int stride, java.nio.ShortBuffer pointer)`
`boolean` | `glIsBuffer(int buffer)`
`boolean` | `glIsBufferARB(int buffer)`
`boolean` | `glIsEnabled(int cap)`
`boolean` | `glIsList(int list)`
`boolean` | `glIsProgram(int program)`
`boolean` | `glIsProgramARB(int program)`
`boolean` | `glIsQuery(int id)`
`boolean` | `glIsQueryARB(int id)`
`boolean` | `glIsShader(int shader)`
`boolean` | `glIsTexture(int texture)`
`boolean` | `glIsVariantEnabledEXT(int id, int cap)`
`void` | `glLight(int light, int pname, java.nio.FloatBuffer params)`
`void` | `glLight(int light, int pname, java.nio.IntBuffer params)`
`void` | `glLightf(int light, int pname, float param)`
`void` | `glLighti(int light, int pname, int param)`
`void` | `glLightModel(int pname, java.nio.FloatBuffer params)`
`void` | `glLightModel(int pname, java.nio.IntBuffer params)`
`void` | `glLightModelf(int pname, float param)`
`void` | `glLightModeli(int pname, int param)`
`void` | `glLineStipple(int factor, short pattern)`
`void` | `glLineWidth(float width)`
`void` | `glLinkProgram(int program)`
`void` | `glLinkProgramARB(int programObj)`
`void` | `glListBase(int base)`
`void` | `glLoadIdentity()`
`void` | `glLoadMatrix(java.nio.FloatBuffer m)`
`void` | `glLoadName(int name)`
`void` | `glLoadTransposeMatrix(java.nio.FloatBuffer m)`
`void` | `glLoadTransposeMatrixARB(java.nio.FloatBuffer pfMtx)`
`void` | `glLockArraysEXT(int first, int count)`
`void` | `glLogicOp(int opcode)`
`void` | `glMap1f(int target, float u1, float u2, int stride, int order, java.nio.FloatBuffer points)`
`void` | `glMap2f(int target, float u1, float u2, int ustride, int uorder, float v1, float v2, int vstride, int vorder, java.nio.FloatBuffer points)`
`java.nio.ByteBuffer` | `glMapBuffer(int target, int access, int size, java.nio.ByteBuffer oldBuffer)`
`java.nio.ByteBuffer` | `glMapBufferARB(int target, int access, int size, java.nio.ByteBuffer oldBuffer)`
`void` | `glMapGrid1f(int un, float u1, float u2)`
`void` | `glMapGrid2f(int un, float u1, float u2, int vn, float v1, float v2)`
`void` | `glMaterial(int face, int pname, java.nio.FloatBuffer params)`
`void` | `glMaterial(int face, int pname, java.nio.IntBuffer params)`
`void` | `glMaterialf(int face, int pname, float param)`
`void` | `glMateriali(int face, int pname, int param)`
`void` | `glMatrixIndexPointerARB(int size, int stride, java.nio.ByteBuffer pPointer)`
`void` | `glMatrixIndexPointerARB(int size, int stride, java.nio.IntBuffer pPointer)`
`void` | `glMatrixIndexPointerARB(int size, int type, int stride, int buffer_offset)`
`void` | `glMatrixIndexPointerARB(int size, int stride, java.nio.ShortBuffer pPointer)`
`void` | `glMatrixIndexuARB(java.nio.ByteBuffer pIndices)`
`void` | `glMatrixIndexuARB(java.nio.IntBuffer piIndices)`
`void` | `glMatrixIndexuARB(java.nio.ShortBuffer psIndices)`
`void` | `glMatrixMode(int mode)`
`void` | `glMinmax(int target, int internalformat, boolean sink)`
`void` | `glMultiDrawArrays(int mode, java.nio.IntBuffer piFirst, java.nio.IntBuffer piCount)`
`void` | `glMultiDrawArraysEXT(int mode, java.nio.IntBuffer piFirst, java.nio.IntBuffer piCount)`
`void` | `glMultiTexCoord1f(int target, float s)`
`void` | `glMultiTexCoord1fARB(int target, float s)`
`void` | `glMultiTexCoord1iARB(int target, int s)`
`void` | `glMultiTexCoord1sARB(int target, short s)`
`void` | `glMultiTexCoord2f(int target, float s, float t)`
`void` | `glMultiTexCoord2fARB(int target, float s, float t)`
`void` | `glMultiTexCoord2iARB(int target, int s, int t)`
`void` | `glMultiTexCoord2sARB(int target, short s, short t)`
`void` | `glMultiTexCoord3f(int target, float s, float t, float r)`
`void` | `glMultiTexCoord3fARB(int target, float s, float t, float r)`
`void` | `glMultiTexCoord3iARB(int target, int s, int t, int r)`
`void` | `glMultiTexCoord3sARB(int target, short s, short t, short r)`
`void` | `glMultiTexCoord4f(int target, float s, float t, float r, float q)`
`void` | `glMultiTexCoord4fARB(int target, float s, float t, float r, float q)`
`void` | `glMultiTexCoord4iARB(int target, int s, int t, int r, int q)`
`void` | `glMultiTexCoord4sARB(int target, short s, short t, short r, short q)`
`void` | `glMultMatrix(java.nio.FloatBuffer m)`
`void` | `glMultTransposeMatrix(java.nio.FloatBuffer m)`
`void` | `glMultTransposeMatrixARB(java.nio.FloatBuffer pfMtx)`
`void` | `glNewList(int list, int mode)`
`void` | `glNormal3b(byte nx, byte ny, byte nz)`
`void` | `glNormal3f(float nx, float ny, float nz)`
`void` | `glNormal3i(int nx, int ny, int nz)`
`void` | `glNormalPointer(int stride, java.nio.ByteBuffer pointer)`
`void` | `glNormalPointer(int stride, java.nio.FloatBuffer pointer)`
`void` | `glNormalPointer(int stride, java.nio.IntBuffer pointer)`
`void` | `glNormalPointer(int type, int stride, int buffer_offset)`
`void` | `glOrtho(double left, double right, double bottom, double top, double zNear, double zFar)`
`void` | `glPassThrough(float token)`
`void` | `glPixelMap(int map, java.nio.FloatBuffer values)`
`void` | `glPixelMapfv(int map, int mapsize, int buffer_offset)`
`void` | `glPixelMapu(int map, java.nio.IntBuffer values)`
`void` | `glPixelMapu(int map, java.nio.ShortBuffer values)`
`void` | `glPixelMapuiv(int map, int mapsize, int buffer_offset)`
`void` | `glPixelMapusv(int map, int mapsize, int buffer_offset)`
`void` | `glPixelStoref(int pname, float param)`
`void` | `glPixelStorei(int pname, int param)`
`void` | `glPixelTransferf(int pname, float param)`
`void` | `glPixelTransferi(int pname, int param)`
`void` | `glPixelZoom(float xfactor, float yfactor)`
`void` | `glPointParameter(int pname, java.nio.FloatBuffer params)`
`void` | `glPointParameterARB(int pname, java.nio.FloatBuffer pfParams)`
`void` | `glPointParameterEXT(int pname, java.nio.FloatBuffer pfParams)`
`void` | `glPointParameterf(int pname, float param)`
`void` | `glPointParameterfARB(int pname, float param)`
`void` | `glPointParameterfEXT(int pname, float param)`
`void` | `glPointSize(float size)`
`void` | `glPolygonMode(int face, int mode)`
`void` | `glPolygonOffset(float factor, float units)`
`void` | `glPolygonStipple(java.nio.ByteBuffer mask)`
`void` | `glPolygonStipple(int buffer_offset)`
`void` | `glPopAttrib()`
`void` | `glPopClientAttrib()`
`void` | `glPopMatrix()`
`void` | `glPopName()`
`void` | `glProgramEnvParameter4ARB(int target, int index, java.nio.FloatBuffer params)`
`void` | `glProgramEnvParameter4fARB(int target, int index, float x, float y, float z, float w)`
`void` | `glProgramLocalParameter4ARB(int target, int index, java.nio.FloatBuffer params)`
`void` | `glProgramLocalParameter4fARB(int target, int index, float x, float y, float z, float w)`
`void` | `glProgramStringARB(int target, int format, java.nio.ByteBuffer string)`
`void` | `glPushAttrib(int mask)`
`void` | `glPushClientAttrib(int mask)`
`void` | `glPushMatrix()`
`void` | `glPushName(int name)`
`void` | `glRasterPos2f(float x, float y)`
`void` | `glRasterPos2i(int x, int y)`
`void` | `glRasterPos3f(float x, float y, float z)`
`void` | `glRasterPos3i(int x, int y, int z)`
`void` | `glRasterPos4f(float x, float y, float z, float w)`
`void` | `glRasterPos4i(int x, int y, int z, int w)`
`void` | `glReadBuffer(int mode)`
`void` | `glReadPixels(int x, int y, int width, int height, int format, int type, java.nio.ByteBuffer pixels)`
`void` | `glReadPixels(int x, int y, int width, int height, int format, int type, int buffer_offset)`
`void` | `glReadPixels(int x, int y, int width, int height, int format, int type, java.nio.IntBuffer pixels)`
`void` | `glReadPixels(int x, int y, int width, int height, int format, int type, java.nio.ShortBuffer pixels)`
`void` | `glRectf(float x1, float y1, float x2, float y2)`
`void` | `glRecti(int x1, int y1, int x2, int y2)`
`int` | `glRenderMode(int mode)`
`void` | `glResetHistogram(int target)`
`void` | `glResetMinmax(int target)`
`void` | `glRotatef(float angle, float x, float y, float z)`
`void` | `glSampleCoverage(float value, boolean invert)`
`void` | `glSampleCoverageARB(float value, boolean invert)`
`void` | `glScalef(float x, float y, float z)`
`void` | `glScissor(int x, int y, int width, int height)`
`void` | `glSecondaryColor3b(byte red, byte green, byte blue)`
`void` | `glSecondaryColor3bEXT(byte red, byte green, byte blue)`
`void` | `glSecondaryColor3f(float red, float green, float blue)`
`void` | `glSecondaryColor3fEXT(float red, float green, float blue)`
`void` | `glSecondaryColor3ub(byte red, byte green, byte blue)`
`void` | `glSecondaryColor3ubEXT(byte red, byte green, byte blue)`
`void` | `glSecondaryColorPointer(int size, boolean unsigned, int stride, java.nio.ByteBuffer data)`
`void` | `glSecondaryColorPointer(int size, int stride, java.nio.FloatBuffer data)`
`void` | `glSecondaryColorPointer(int size, int type, int stride, int buffer_offset)`
`void` | `glSecondaryColorPointerEXT(int size, boolean unsigned, int stride, java.nio.ByteBuffer pPointer)`
`void` | `glSecondaryColorPointerEXT(int size, int stride, java.nio.FloatBuffer pPointer)`
`void` | `glSecondaryColorPointerEXT(int size, int type, int stride, int buffer_offset)`
`void` | `glSelectBuffer(java.nio.IntBuffer buffer)`
`void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, int row_offset, int column_offset)`
`void` | `glSetInvariantEXT(int id, boolean unsigned, java.nio.ByteBuffer pAddr)`
`void` | `glSetInvariantEXT(int id, boolean unsigned, java.nio.IntBuffer pAddr)`
`void` | `glSetInvariantEXT(int id, boolean unsigned, java.nio.ShortBuffer pAddr)`
`void` | `glSetInvariantEXT(int id, java.nio.FloatBuffer pAddr)`
`void` | `glSetLocalConstantEXT(int id, boolean unsigned, java.nio.ByteBuffer pAddr)`
`void` | `glSetLocalConstantEXT(int id, boolean unsigned, java.nio.IntBuffer pAddr)`
`void` | `glSetLocalConstantEXT(int id, boolean unsigned, java.nio.ShortBuffer pAddr)`
`void` | `glSetLocalConstantEXT(int id, java.nio.FloatBuffer pAddr)`
`void` | `glShadeModel(int mode)`
`void` | `glShaderOp1EXT(int op, int res, int arg1)`
`void` | `glShaderOp2EXT(int op, int res, int arg1, int arg2)`
`void` | `glShaderOp3EXT(int op, int res, int arg1, int arg2, int arg3)`
`void` | `glShaderSource(int shader, java.nio.ByteBuffer string)`
`void` | `glShaderSourceARB(int shaderObj, java.nio.ByteBuffer string)`
`void` | `glStencilFunc(int func, int ref, int mask)`
`void` | `glStencilFuncSeparate(int face, int func, int ref, int mask)`
`void` | `glStencilMask(int mask)`
`void` | `glStencilOp(int fail, int zfail, int zpass)`
`void` | `glStencilOpSeparate(int face, int sfail, int dpfail, int dppass)`
`void` | `glSwizzleEXT(int res, int in, int outX, int outY, int outZ, int outW)`
`void` | `glTexCoord1f(float s)`
`void` | `glTexCoord2f(float s, float t)`
`void` | `glTexCoord3f(float s, float t, float r)`
`void` | `glTexCoord4f(float s, float t, float r, float q)`
`void` | `glTexCoordPointer(int size, int stride, java.nio.FloatBuffer pointer)`
`void` | `glTexCoordPointer(int size, int type, int stride, int buffer_offset)`
`void` | `glTexEnv(int target, int pname, java.nio.FloatBuffer params)`
`void` | `glTexEnv(int target, int pname, java.nio.IntBuffer params)`
`void` | `glTexEnvf(int target, int pname, float param)`
`void` | `glTexEnvi(int target, int pname, int param)`
`void` | `glTexGen(int coord, int pname, java.nio.FloatBuffer params)`
`void` | `glTexGen(int coord, int pname, java.nio.IntBuffer params)`
`void` | `glTexGenf(int coord, int pname, float param)`
`void` | `glTexGeni(int coord, int pname, int param)`
`void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, java.nio.ByteBuffer pixels)`
`void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, java.nio.FloatBuffer pixels)`
`void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, int buffer_offset)`
`void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, java.nio.IntBuffer pixels)`
`void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, java.nio.ShortBuffer pixels)`
`void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, java.nio.ByteBuffer pixels)`
`void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, java.nio.FloatBuffer pixels)`
`void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, int buffer_offset)`
`void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, java.nio.IntBuffer pixels)`
`void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, java.nio.ShortBuffer pixels)`
`void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, java.nio.ByteBuffer pixels)`
`void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, java.nio.FloatBuffer pixels)`
`void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, int buffer_offset)`
`void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, java.nio.IntBuffer pixels)`
`void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, java.nio.ShortBuffer pixels)`
`void` | `glTexParameter(int target, int pname, java.nio.FloatBuffer param)`
`void` | `glTexParameter(int target, int pname, java.nio.IntBuffer param)`
`void` | `glTexParameterf(int target, int pname, float param)`
`void` | `glTexParameteri(int target, int pname, int param)`
`void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, java.nio.ByteBuffer pixels)`
`void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, int buffer_offset)`
`void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, java.nio.IntBuffer pixels)`
`void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, java.nio.ShortBuffer pixels)`
`void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, java.nio.ByteBuffer pixels)`
`void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, int buffer_offset)`
`void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, java.nio.IntBuffer pixels)`
`void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, java.nio.ShortBuffer pixels)`
`void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, java.nio.ByteBuffer pixels)`
`void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, java.nio.FloatBuffer pixels)`
`void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, int buffer_offset)`
`void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, java.nio.IntBuffer pixels)`
`void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, java.nio.ShortBuffer pixels)`
`void` | `glTranslatef(float x, float y, float z)`
`void` | `glUniform1(int location, java.nio.FloatBuffer values)`
`void` | `glUniform1(int location, java.nio.IntBuffer values)`
`void` | `glUniform1ARB(int location, java.nio.FloatBuffer values)`
`void` | `glUniform1ARB(int location, java.nio.IntBuffer values)`
`void` | `glUniform1f(int location, float v0)`
`void` | `glUniform1fARB(int location, float v0)`
`void` | `glUniform1i(int location, int v0)`
`void` | `glUniform1iARB(int location, int v0)`
`void` | `glUniform2(int location, java.nio.FloatBuffer values)`
`void` | `glUniform2(int location, java.nio.IntBuffer values)`
`void` | `glUniform2ARB(int location, java.nio.FloatBuffer values)`
`void` | `glUniform2ARB(int location, java.nio.IntBuffer values)`
`void` | `glUniform2f(int location, float v0, float v1)`
`void` | `glUniform2fARB(int location, float v0, float v1)`
`void` | `glUniform2i(int location, int v0, int v1)`
`void` | `glUniform2iARB(int location, int v0, int v1)`
`void` | `glUniform3(int location, java.nio.FloatBuffer values)`
`void` | `glUniform3(int location, java.nio.IntBuffer values)`
`void` | `glUniform3ARB(int location, java.nio.FloatBuffer values)`
`void` | `glUniform3ARB(int location, java.nio.IntBuffer values)`
`void` | `glUniform3f(int location, float v0, float v1, float v2)`
`void` | `glUniform3fARB(int location, float v0, float v1, float v2)`
`void` | `glUniform3i(int location, int v0, int v1, int v2)`
`void` | `glUniform3iARB(int location, int v0, int v1, int v2)`
`void` | `glUniform4(int location, java.nio.FloatBuffer values)`
`void` | `glUniform4(int location, java.nio.IntBuffer values)`
`void` | `glUniform4ARB(int location, java.nio.FloatBuffer values)`
`void` | `glUniform4ARB(int location, java.nio.IntBuffer values)`
`void` | `glUniform4f(int location, float v0, float v1, float v2, float v3)`
`void` | `glUniform4fARB(int location, float v0, float v1, float v2, float v3)`
`void` | `glUniform4i(int location, int v0, int v1, int v2, int v3)`
`void` | `glUniform4iARB(int location, int v0, int v1, int v2, int v3)`
`void` | `glUniformMatrix2(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`void` | `glUniformMatrix2ARB(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`void` | `glUniformMatrix3(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`void` | `glUniformMatrix3ARB(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`void` | `glUniformMatrix4(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`void` | `glUniformMatrix4ARB(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`void` | `glUnlockArraysEXT()`
`boolean` | `glUnmapBuffer(int target)`
`boolean` | `glUnmapBufferARB(int target)`
`void` | `glUseProgram(int program)`
`void` | `glUseProgramObjectARB(int programObj)`
`void` | `glValidateProgram(int program)`
`void` | `glValidateProgramARB(int programObj)`
`void` | `glVariantEXT(int id, java.nio.ByteBuffer pAddr)`
`void` | `glVariantEXT(int id, java.nio.FloatBuffer pfAddr)`
`void` | `glVariantEXT(int id, java.nio.IntBuffer piAddr)`
`void` | `glVariantEXT(int id, java.nio.ShortBuffer psAddr)`
`void` | `glVariantPointerEXT(int id, boolean unsigned, int stride, java.nio.ByteBuffer pAddr)`
`void` | `glVariantPointerEXT(int id, boolean unsigned, int stride, java.nio.IntBuffer pAddr)`
`void` | `glVariantPointerEXT(int id, boolean unsigned, int stride, java.nio.ShortBuffer pAddr)`
`void` | `glVariantPointerEXT(int id, int stride, java.nio.FloatBuffer pAddr)`
`void` | `glVariantPointerEXT(int id, int type, int stride, int buffer_offset)`
`void` | `glVariantuEXT(int id, java.nio.ByteBuffer pAddr)`
`void` | `glVariantuEXT(int id, java.nio.IntBuffer piAddr)`
`void` | `glVariantuEXT(int id, java.nio.ShortBuffer psAddr)`
`void` | `glVertex2f(float x, float y)`
`void` | `glVertex2i(int x, int y)`
`void` | `glVertex3f(float x, float y, float z)`
`void` | `glVertex3i(int x, int y, int z)`
`void` | `glVertex4f(float x, float y, float z, float w)`
`void` | `glVertex4i(int x, int y, int z, int w)`
`void` | `glVertexAttrib1fARB(int index, float x)`
`void` | `glVertexAttrib1sARB(int index, short x)`
`void` | `glVertexAttrib2fARB(int index, float x, float y)`
`void` | `glVertexAttrib2sARB(int index, short x, short y)`
`void` | `glVertexAttrib3fARB(int index, float x, float y, float z)`
`void` | `glVertexAttrib3sARB(int index, short x, short y, short z)`
`void` | `glVertexAttrib4fARB(int index, float x, float y, float z, float w)`
`void` | `glVertexAttrib4NubARB(int index, byte x, byte y, byte z, byte w)`
`void` | `glVertexAttrib4sARB(int index, short x, short y, short z, short w)`
`void` | `glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, java.nio.ByteBuffer buffer)`
`void` | `glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, java.nio.IntBuffer buffer)`
`void` | `glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, java.nio.ShortBuffer buffer)`
`void` | `glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, java.nio.FloatBuffer buffer)`
`void` | `glVertexAttribPointerARB(int index, int size, int type, boolean normalized, int stride, int bufferOffset)`
`void` | `glVertexBlendARB(int count)`
`void` | `glVertexPointer(int size, int stride, java.nio.FloatBuffer pointer)`
`void` | `glVertexPointer(int size, int stride, java.nio.IntBuffer pointer)`
`void` | `glVertexPointer(int size, int type, int stride, int buffer_offset)`
`void` | `glVertexWeightfEXT(float weight)`
`void` | `glVertexWeightPointerEXT(int size, int stride, java.nio.FloatBuffer pPointer)`
`void` | `glVertexWeightPointerEXT(int size, int type, int stride, int buffer_offset)`
`void` | `glViewport(int x, int y, int width, int height)`
`void` | `glWeightARB(java.nio.ByteBuffer pWeights)`
`void` | `glWeightARB(java.nio.FloatBuffer pfWeights)`
`void` | `glWeightARB(java.nio.IntBuffer piWeights)`
`void` | `glWeightARB(java.nio.ShortBuffer psWeights)`
`void` | `glWeightPointerARB(int size, boolean unsigned, int stride, java.nio.ByteBuffer pPointer)`
`void` | `glWeightPointerARB(int size, boolean unsigned, int stride, java.nio.IntBuffer pPointer)`
`void` | `glWeightPointerARB(int size, boolean unsigned, int stride, java.nio.ShortBuffer pPointer)`
`void` | `glWeightPointerARB(int size, int stride, java.nio.FloatBuffer pPointer)`
`void` | `glWeightPointerARB(int size, int type, int stride, int buffer_offset)`
`void` | `glWeightuARB(java.nio.ByteBuffer pWeights)`
`void` | `glWeightuARB(java.nio.IntBuffer piWeights)`
`void` | `glWeightuARB(java.nio.ShortBuffer psWeights)`
`void` | `glWindowPos2f(float x, float y)`
`void` | `glWindowPos2fARB(float x, float y)`
`void` | `glWindowPos2i(int x, int y)`
`void` | `glWindowPos2iARB(int x, int y)`
`void` | `glWindowPos2sARB(short x, short y)`
`void` | `glWindowPos3f(float x, float y, float z)`
`void` | `glWindowPos3fARB(float x, float y, float z)`
`void` | `glWindowPos3i(int x, int y, int z)`
`void` | `glWindowPos3iARB(int x, int y, int z)`
`void` | `glWindowPos3sARB(short x, short y, short z)`
`void` | `glWriteMaskEXT(int res, int in, int outX, int outY, int outZ, int outW)`

Method Detail

### glAccum

    void glAccum(int op,
                 float value)

  Parameters:
    `op` -
    `value` -

### glAlphaFunc

    void glAlphaFunc(int func,
                     float ref)

  Parameters:
    `func` -
    `ref` -

### glArrayElement

    void glArrayElement(int i)

  Parameters:
    `i` -

### glBegin

    void glBegin(int mode)

  Parameters:
    `mode` -

### glBindTexture

    void glBindTexture(int target,
                       int texture)

  Parameters:
    `target` -
    `texture` -

### glBitmap

    void glBitmap(int width,
                  int height,
                  float xorig,
                  float yorig,
                  float xmove,
                  float ymove,
                  java.nio.ByteBuffer bitmap)

  Parameters:
    `width` -
    `height` -
    `xorig` -
    `yorig` -
    `xmove` -
    `ymove` -
    `bitmap` -

### glBitmap

    void glBitmap(int width,
                  int height,
                  float xorig,
                  float yorig,
                  float xmove,
                  float ymove,
                  int buffer_offect)

  Parameters:
    `width` -
    `height` -
    `xorig` -
    `yorig` -
    `xmove` -
    `ymove` -
    `buffer_offect` -

### glBlendFunc

    void glBlendFunc(int sfactor,
                     int dfactor)

  Parameters:
    `sfactor` -
    `dfactor` -

### glCallList

    void glCallList(int list)

  Parameters:
    `list` -

### glCallLists

    void glCallLists(java.nio.ByteBuffer lists)

  Parameters:
    `lists` -

### glCallLists

    void glCallLists(java.nio.IntBuffer lists)

  Parameters:
    `lists` -

### glCallLists

    void glCallLists(java.nio.ShortBuffer lists)

  Parameters:
    `lists` -

### glClear

    void glClear(int mask)

  Parameters:
    `mask` -

### glClearAccum

    void glClearAccum(float red,
                      float green,
                      float blue,
                      float alpha)

  Parameters:
    `red` -
    `green` -
    `blue` -
    `alpha` -

### glClearColor

    void glClearColor(float red,
                      float green,
                      float blue,
                      float alpha)

  Parameters:
    `red` -
    `green` -
    `blue` -
    `alpha` -

### glClearDepth

    void glClearDepth(double depth)

  Parameters:
    `depth` -

### glClearStencil

    void glClearStencil(int s)

  Parameters:
    `s` -

### glClipPlane

    void glClipPlane(int plane,
                     java.nio.DoubleBuffer equation)

  Parameters:
    `plane` -
    `equation` -

### glColor3b

    void glColor3b(byte red,
                   byte green,
                   byte blue)

  Parameters:
    `red` -
    `green` -
    `blue` -

### glColor3f

    void glColor3f(float red,
                   float green,
                   float blue)

  Parameters:
    `red` -
    `green` -
    `blue` -

### glColor3ub

    void glColor3ub(byte red,
                    byte green,
                    byte blue)

  Parameters:
    `red` -
    `green` -
    `blue` -

### glColor4b

    void glColor4b(byte red,
                   byte green,
                   byte blue,
                   byte alpha)

  Parameters:
    `red` -
    `green` -
    `blue` -
    `alpha` -

### glColor4f

    void glColor4f(float red,
                   float green,
                   float blue,
                   float alpha)

  Parameters:
    `red` -
    `green` -
    `blue` -
    `alpha` -

### glColor4ub

    void glColor4ub(byte red,
                    byte green,
                    byte blue,
                    byte alpha)

  Parameters:
    `red` -
    `green` -
    `blue` -
    `alpha` -

### glColorMask

    void glColorMask(boolean red,
                     boolean green,
                     boolean blue,
                     boolean alpha)

  Parameters:
    `red` -
    `green` -
    `blue` -
    `alpha` -

### glColorMaterial

    void glColorMaterial(int face,
                         int mode)

  Parameters:
    `face` -
    `mode` -

### glColorPointer

    void glColorPointer(int size,
                        boolean unsigned,
                        int stride,
                        java.nio.ByteBuffer pointer)

  Parameters:
    `size` -
    `unsigned` -
    `stride` -
    `pointer` -

### glColorPointer

    void glColorPointer(int size,
                        int stride,
                        java.nio.FloatBuffer pointer)

  Parameters:
    `size` -
    `stride` -
    `pointer` -

### glColorPointer

    void glColorPointer(int size,
                        int type,
                        int stride,
                        int buffer_offset)

  Parameters:
    `size` -
    `type` -
    `stride` -
    `buffer_offset` -

### glCopyPixels

    void glCopyPixels(int x,
                      int y,
                      int width,
                      int height,
                      int type)

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -
    `type` -

### glCopyTexImage1D

    void glCopyTexImage1D(int target,
                          int level,
                          int internalFormat,
                          int x,
                          int y,
                          int width,
                          int border)

  Parameters:
    `target` -
    `level` -
    `internalFormat` -
    `x` -
    `y` -
    `width` -
    `border` -

### glCopyTexImage2D

    void glCopyTexImage2D(int target,
                          int level,
                          int internalFormat,
                          int x,
                          int y,
                          int width,
                          int height,
                          int border)

  Parameters:
    `target` -
    `level` -
    `internalFormat` -
    `x` -
    `y` -
    `width` -
    `height` -
    `border` -

### glCopyTexSubImage1D

    void glCopyTexSubImage1D(int target,
                             int level,
                             int xoffset,
                             int x,
                             int y,
                             int width)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `x` -
    `y` -
    `width` -

### glCopyTexSubImage2D

    void glCopyTexSubImage2D(int target,
                             int level,
                             int xoffset,
                             int yoffset,
                             int x,
                             int y,
                             int width,
                             int height)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `x` -
    `y` -
    `width` -
    `height` -

### glCullFace

    void glCullFace(int mode)

  Parameters:
    `mode` -

### glDeleteLists

    void glDeleteLists(int list,
                       int range)

  Parameters:
    `list` -
    `range` -

### glDeleteTextures

    void glDeleteTextures(java.nio.IntBuffer textures)

  Parameters:
    `textures` -

### glDepthFunc

    void glDepthFunc(int func)

  Parameters:
    `func` -

### glDepthMask

    void glDepthMask(boolean flag)

  Parameters:
    `flag` -

### glDepthRange

    void glDepthRange(double zNear,
                      double zFar)

  Parameters:
    `zNear` -
    `zFar` -

### glDisable

    void glDisable(int cap)

  Parameters:
    `cap` -

### glDisableClientState

    void glDisableClientState(int cap)

  Parameters:
    `cap` -

### glDrawArrays

    void glDrawArrays(int mode,
                      int first,
                      int count)

  Parameters:
    `mode` -
    `first` -
    `count` -

### glDrawBuffer

    void glDrawBuffer(int mode)

  Parameters:
    `mode` -

### glDrawElements

    void glDrawElements(int mode,
                        java.nio.ByteBuffer indices)

  Parameters:
    `mode` -
    `indices` -

### glDrawElements

    void glDrawElements(int mode,
                        int count,
                        int type,
                        int buffer_offset)

  Parameters:
    `mode` -
    `count` -
    `type` -
    `buffer_offset` -

### glDrawElements

    void glDrawElements(int mode,
                        java.nio.IntBuffer indices)

  Parameters:
    `mode` -
    `indices` -

### glDrawElements

    void glDrawElements(int mode,
                        java.nio.ShortBuffer indices)

  Parameters:
    `mode` -
    `indices` -

### glDrawPixels

    void glDrawPixels(int width,
                      int height,
                      int format,
                      int type,
                      java.nio.ByteBuffer pixels)

  Parameters:
    `width` -
    `height` -
    `format` -
    `type` -
    `pixels` -

### glDrawPixels

    void glDrawPixels(int width,
                      int height,
                      int format,
                      int type,
                      java.nio.IntBuffer pixels)

  Parameters:
    `width` -
    `height` -
    `format` -
    `type` -
    `pixels` -

### glDrawPixels

    void glDrawPixels(int width,
                      int height,
                      int format,
                      int type,
                      java.nio.ShortBuffer pixels)

  Parameters:
    `width` -
    `height` -
    `format` -
    `type` -
    `pixels` -

### glDrawPixels

    void glDrawPixels(int width,
                      int height,
                      int format,
                      int type,
                      int buffer_offset)

  Parameters:
    `width` -
    `height` -
    `format` -
    `type` -
    `buffer_offset` -

### glEdgeFlag

    void glEdgeFlag(boolean flag)

  Parameters:
    `flag` -

### glEdgeFlagPointer

    void glEdgeFlagPointer(int stride,
                           java.nio.ByteBuffer pointer)

  Parameters:
    `stride` -
    `pointer` -

### glEdgeFlagPointer

    void glEdgeFlagPointer(int stride,
                           int buffer_offset)

  Parameters:
    `stride` -
    `buffer_offset` -

### glEnable

    void glEnable(int cap)

  Parameters:
    `cap` -

### glEnableClientState

    void glEnableClientState(int cap)

  Parameters:
    `cap` -

### glEnd

    void glEnd()

### glEndList

    void glEndList()

### glEvalCoord1f

    void glEvalCoord1f(float u)

  Parameters:
    `u` -

### glEvalCoord2f

    void glEvalCoord2f(float u,
                       float v)

  Parameters:
    `u` -
    `v` -

### glEvalMesh1

    void glEvalMesh1(int mode,
                     int i1,
                     int i2)

  Parameters:
    `mode` -
    `i1` -
    `i2` -

### glEvalMesh2

    void glEvalMesh2(int mode,
                     int i1,
                     int i2,
                     int j1,
                     int j2)

  Parameters:
    `mode` -
    `i1` -
    `i2` -
    `j1` -
    `j2` -

### glEvalPoint1

    void glEvalPoint1(int i)

  Parameters:
    `i` -

### glEvalPoint2

    void glEvalPoint2(int i,
                      int j)

  Parameters:
    `i` -
    `j` -

### glFeedbackBuffer

    void glFeedbackBuffer(int type,
                          java.nio.FloatBuffer buffer)

  Parameters:
    `type` -
    `buffer` -

### glFinish

    void glFinish()

### glFlush

    void glFlush()

### glFog

    void glFog(int pname,
               java.nio.FloatBuffer params)

  Parameters:
    `pname` -
    `params` -

### glFog

    void glFog(int pname,
               java.nio.IntBuffer params)

  Parameters:
    `pname` -
    `params` -

### glFogf

    void glFogf(int pname,
                float param)

  Parameters:
    `pname` -
    `param` -

### glFogi

    void glFogi(int pname,
                int param)

  Parameters:
    `pname` -
    `param` -

### glFrontFace

    void glFrontFace(int mode)

  Parameters:
    `mode` -

### glFrustum

    void glFrustum(double left,
                   double right,
                   double bottom,
                   double top,
                   double zNear,
                   double zFar)

  Parameters:
    `left` -
    `right` -
    `bottom` -
    `top` -
    `zNear` -
    `zFar` -

### glGenLists

    int glGenLists(int range)

  Parameters:
    `range` -
  Returns:

### glGenTextures

    void glGenTextures(java.nio.IntBuffer textures)

  Parameters:
    `textures` -

### glGetBoolean

    void glGetBoolean(int pname,
                      java.nio.ByteBuffer params)

  Parameters:
    `pname` -
    `params` -

### glGetClipPlane

    void glGetClipPlane(int plane,
                        java.nio.DoubleBuffer equation)

  Parameters:
    `plane` -
    `equation` -

### glGetDouble

    void glGetDouble(int pname,
                     java.nio.DoubleBuffer params)

  Parameters:
    `pname` -
    `params` -

### glGetError

    int glGetError()

  Returns:

### glGetFloat

    void glGetFloat(int pname,
                    java.nio.FloatBuffer params)

  Parameters:
    `pname` -
    `params` -

### glGetInteger

    void glGetInteger(int pname,
                      java.nio.IntBuffer params)

  Parameters:
    `pname` -
    `params` -

### glGetLight

    void glGetLight(int light,
                    int pname,
                    java.nio.FloatBuffer params)

  Parameters:
    `light` -
    `pname` -
    `params` -

### glGetLight

    void glGetLight(int light,
                    int pname,
                    java.nio.IntBuffer params)

  Parameters:
    `light` -
    `pname` -
    `params` -

### glGetMap

    void glGetMap(int target,
                  int query,
                  java.nio.FloatBuffer v)

  Parameters:
    `target` -
    `query` -
    `v` -

### glGetMap

    void glGetMap(int target,
                  int query,
                  java.nio.IntBuffer v)

  Parameters:
    `target` -
    `query` -
    `v` -

### glGetMaterial

    void glGetMaterial(int face,
                       int pname,
                       java.nio.FloatBuffer params)

  Parameters:
    `face` -
    `pname` -
    `params` -

### glGetMaterial

    void glGetMaterial(int face,
                       int pname,
                       java.nio.IntBuffer params)

  Parameters:
    `face` -
    `pname` -
    `params` -

### glGetPixelMap

    void glGetPixelMap(int map,
                       java.nio.FloatBuffer values)

  Parameters:
    `map` -
    `values` -

### glGetPixelMapfv

    void glGetPixelMapfv(int map,
                         int buffer_offset)

  Parameters:
    `map` -
    `buffer_offset` -

### glGetPixelMapu

    void glGetPixelMapu(int map,
                        java.nio.IntBuffer values)

  Parameters:
    `map` -
    `values` -

### glGetPixelMapuiv

    void glGetPixelMapuiv(int map,
                          int buffer_offset)

  Parameters:
    `map` -
    `buffer_offset` -

### glGetPixelMapu

    void glGetPixelMapu(int map,
                        java.nio.ShortBuffer values)

  Parameters:
    `map` -
    `values` -

### glGetPixelMapusv

    void glGetPixelMapusv(int map,
                          int buffer_offset)

  Parameters:
    `map` -
    `buffer_offset` -

### glGetPointer

    java.nio.ByteBuffer glGetPointer(int pname,
                                     int size)

  Parameters:
    `pname` -
    `size` -
  Returns:

### glGetPolygonStipple

    void glGetPolygonStipple(java.nio.ByteBuffer mask)

  Parameters:
    `mask` -

### glGetPolygonStipple

    void glGetPolygonStipple(int buffer_offset)

  Parameters:
    `buffer_offset` -

### glGetString

    java.lang.String glGetString(int name)

  Parameters:
    `name` -
  Returns:

### glGetTexEnv

    void glGetTexEnv(int coord,
                     int pname,
                     java.nio.FloatBuffer params)

  Parameters:
    `coord` -
    `pname` -
    `params` -

### glGetTexEnv

    void glGetTexEnv(int coord,
                     int pname,
                     java.nio.IntBuffer params)

  Parameters:
    `coord` -
    `pname` -
    `params` -

### glGetTexGen

    void glGetTexGen(int coord,
                     int pname,
                     java.nio.FloatBuffer params)

  Parameters:
    `coord` -
    `pname` -
    `params` -

### glGetTexGen

    void glGetTexGen(int coord,
                     int pname,
                     java.nio.IntBuffer params)

  Parameters:
    `coord` -
    `pname` -
    `params` -

### glGetTexImage

    void glGetTexImage(int target,
                       int level,
                       int format,
                       int type,
                       java.nio.ByteBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `format` -
    `type` -
    `pixels` -

### glGetTexImage

    void glGetTexImage(int target,
                       int level,
                       int format,
                       int type,
                       java.nio.IntBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `format` -
    `type` -
    `pixels` -

### glGetTexImage

    void glGetTexImage(int target,
                       int level,
                       int format,
                       int type,
                       java.nio.ShortBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `format` -
    `type` -
    `pixels` -

### glGetTexImage

    void glGetTexImage(int target,
                       int level,
                       int format,
                       int type,
                       int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `format` -
    `type` -
    `buffer_offset` -

### glGetTexLevelParameter

    void glGetTexLevelParameter(int target,
                                int level,
                                int pname,
                                java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `level` -
    `pname` -
    `params` -

### glGetTexLevelParameter

    void glGetTexLevelParameter(int target,
                                int level,
                                int pname,
                                java.nio.IntBuffer params)

  Parameters:
    `target` -
    `level` -
    `pname` -
    `params` -

### glGetTexParameter

    void glGetTexParameter(int target,
                           int pname,
                           java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetTexParameter

    void glGetTexParameter(int target,
                           int pname,
                           java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glHint

    void glHint(int target,
                int mode)

  Parameters:
    `target` -
    `mode` -

### glInitNames

    void glInitNames()

### glInterleavedArrays

    void glInterleavedArrays(int format,
                             int stride,
                             java.nio.ByteBuffer pointer)

  Parameters:
    `format` -
    `stride` -
    `pointer` -

### glInterleavedArrays

    void glInterleavedArrays(int format,
                             int stride,
                             java.nio.FloatBuffer pointer)

  Parameters:
    `format` -
    `stride` -
    `pointer` -

### glInterleavedArrays

    void glInterleavedArrays(int format,
                             int stride,
                             int buffer_offset)

  Parameters:
    `format` -
    `stride` -
    `buffer_offset` -

### glInterleavedArrays

    void glInterleavedArrays(int format,
                             int stride,
                             java.nio.IntBuffer pointer)

  Parameters:
    `format` -
    `stride` -
    `pointer` -

### glInterleavedArrays

    void glInterleavedArrays(int format,
                             int stride,
                             java.nio.ShortBuffer pointer)

  Parameters:
    `format` -
    `stride` -
    `pointer` -

### glIsEnabled

    boolean glIsEnabled(int cap)

  Parameters:
    `cap` -
  Returns:

### glIsList

    boolean glIsList(int list)

  Parameters:
    `list` -
  Returns:

### glIsTexture

    boolean glIsTexture(int texture)

  Parameters:
    `texture` -
  Returns:

### glLight

    void glLight(int light,
                 int pname,
                 java.nio.FloatBuffer params)

  Parameters:
    `light` -
    `pname` -
    `params` -

### glLight

    void glLight(int light,
                 int pname,
                 java.nio.IntBuffer params)

  Parameters:
    `light` -
    `pname` -
    `params` -

### glLightf

    void glLightf(int light,
                  int pname,
                  float param)

  Parameters:
    `light` -
    `pname` -
    `param` -

### glLighti

    void glLighti(int light,
                  int pname,
                  int param)

  Parameters:
    `light` -
    `pname` -
    `param` -

### glLightModel

    void glLightModel(int pname,
                      java.nio.FloatBuffer params)

  Parameters:
    `pname` -
    `params` -

### glLightModel

    void glLightModel(int pname,
                      java.nio.IntBuffer params)

  Parameters:
    `pname` -
    `params` -

### glLightModelf

    void glLightModelf(int pname,
                       float param)

  Parameters:
    `pname` -
    `param` -

### glLightModeli

    void glLightModeli(int pname,
                       int param)

  Parameters:
    `pname` -
    `param` -

### glLineStipple

    void glLineStipple(int factor,
                       short pattern)

  Parameters:
    `factor` -
    `pattern` -

### glLineWidth

    void glLineWidth(float width)

  Parameters:
    `width` -

### glListBase

    void glListBase(int base)

  Parameters:
    `base` -

### glLoadIdentity

    void glLoadIdentity()

### glLoadMatrix

    void glLoadMatrix(java.nio.FloatBuffer m)

  Parameters:
    `m` -

### glLoadName

    void glLoadName(int name)

  Parameters:
    `name` -

### glLogicOp

    void glLogicOp(int opcode)

  Parameters:
    `opcode` -

### glMap1f

    void glMap1f(int target,
                 float u1,
                 float u2,
                 int stride,
                 int order,
                 java.nio.FloatBuffer points)

  Parameters:
    `target` -
    `u1` -
    `u2` -
    `stride` -
    `order` -
    `points` -

### glMap2f

    void glMap2f(int target,
                 float u1,
                 float u2,
                 int ustride,
                 int uorder,
                 float v1,
                 float v2,
                 int vstride,
                 int vorder,
                 java.nio.FloatBuffer points)

  Parameters:
    `target` -
    `u1` -
    `u2` -
    `ustride` -
    `uorder` -
    `v1` -
    `v2` -
    `vstride` -
    `vorder` -
    `points` -

### glMapGrid1f

    void glMapGrid1f(int un,
                     float u1,
                     float u2)

  Parameters:
    `un` -
    `u1` -
    `u2` -

### glMapGrid2f

    void glMapGrid2f(int un,
                     float u1,
                     float u2,
                     int vn,
                     float v1,
                     float v2)

  Parameters:
    `un` -
    `u1` -
    `u2` -
    `vn` -
    `v1` -
    `v2` -

### glMaterial

    void glMaterial(int face,
                    int pname,
                    java.nio.FloatBuffer params)

  Parameters:
    `face` -
    `pname` -
    `params` -

### glMaterial

    void glMaterial(int face,
                    int pname,
                    java.nio.IntBuffer params)

  Parameters:
    `face` -
    `pname` -
    `params` -

### glMaterialf

    void glMaterialf(int face,
                     int pname,
                     float param)

  Parameters:
    `face` -
    `pname` -
    `param` -

### glMateriali

    void glMateriali(int face,
                     int pname,
                     int param)

  Parameters:
    `face` -
    `pname` -
    `param` -

### glMatrixMode

    void glMatrixMode(int mode)

  Parameters:
    `mode` -

### glMultMatrix

    void glMultMatrix(java.nio.FloatBuffer m)

  Parameters:
    `m` -

### glNewList

    void glNewList(int list,
                   int mode)

  Parameters:
    `list` -
    `mode` -

### glNormal3b

    void glNormal3b(byte nx,
                    byte ny,
                    byte nz)

  Parameters:
    `nx` -
    `ny` -
    `nz` -

### glNormal3f

    void glNormal3f(float nx,
                    float ny,
                    float nz)

  Parameters:
    `nx` -
    `ny` -
    `nz` -

### glNormal3i

    void glNormal3i(int nx,
                    int ny,
                    int nz)

  Parameters:
    `nx` -
    `ny` -
    `nz` -

### glNormalPointer

    void glNormalPointer(int stride,
                         java.nio.ByteBuffer pointer)

  Parameters:
    `stride` -
    `pointer` -

### glNormalPointer

    void glNormalPointer(int stride,
                         java.nio.FloatBuffer pointer)

  Parameters:
    `stride` -
    `pointer` -

### glNormalPointer

    void glNormalPointer(int type,
                         int stride,
                         int buffer_offset)

  Parameters:
    `type` -
    `stride` -
    `buffer_offset` -

### glNormalPointer

    void glNormalPointer(int stride,
                         java.nio.IntBuffer pointer)

  Parameters:
    `stride` -
    `pointer` -

### glOrtho

    void glOrtho(double left,
                 double right,
                 double bottom,
                 double top,
                 double zNear,
                 double zFar)

  Parameters:
    `left` -
    `right` -
    `bottom` -
    `top` -
    `zNear` -
    `zFar` -

### glPassThrough

    void glPassThrough(float token)

  Parameters:
    `token` -

### glPixelMap

    void glPixelMap(int map,
                    java.nio.FloatBuffer values)

  Parameters:
    `map` -
    `values` -

### glPixelMapu

    void glPixelMapu(int map,
                     java.nio.IntBuffer values)

  Parameters:
    `map` -
    `values` -

### glPixelMapu

    void glPixelMapu(int map,
                     java.nio.ShortBuffer values)

  Parameters:
    `map` -
    `values` -

### glPixelMapfv

    void glPixelMapfv(int map,
                      int mapsize,
                      int buffer_offset)

  Parameters:
    `map` -
    `mapsize` -
    `buffer_offset` -

### glPixelMapuiv

    void glPixelMapuiv(int map,
                       int mapsize,
                       int buffer_offset)

  Parameters:
    `map` -
    `mapsize` -
    `buffer_offset` -

### glPixelMapusv

    void glPixelMapusv(int map,
                       int mapsize,
                       int buffer_offset)

  Parameters:
    `map` -
    `mapsize` -
    `buffer_offset` -

### glPixelStoref

    void glPixelStoref(int pname,
                       float param)

  Parameters:
    `pname` -
    `param` -

### glPixelStorei

    void glPixelStorei(int pname,
                       int param)

  Parameters:
    `pname` -
    `param` -

### glPixelTransferf

    void glPixelTransferf(int pname,
                          float param)

  Parameters:
    `pname` -
    `param` -

### glPixelTransferi

    void glPixelTransferi(int pname,
                          int param)

  Parameters:
    `pname` -
    `param` -

### glPixelZoom

    void glPixelZoom(float xfactor,
                     float yfactor)

  Parameters:
    `xfactor` -
    `yfactor` -

### glPointSize

    void glPointSize(float size)

  Parameters:
    `size` -

### glPolygonMode

    void glPolygonMode(int face,
                       int mode)

  Parameters:
    `face` -
    `mode` -

### glPolygonOffset

    void glPolygonOffset(float factor,
                         float units)

  Parameters:
    `factor` -
    `units` -

### glPolygonStipple

    void glPolygonStipple(java.nio.ByteBuffer mask)

  Parameters:
    `mask` -

### glPolygonStipple

    void glPolygonStipple(int buffer_offset)

  Parameters:
    `buffer_offset` -

### glPopAttrib

    void glPopAttrib()

### glPopClientAttrib

    void glPopClientAttrib()

### glPopMatrix

    void glPopMatrix()

### glPopName

    void glPopName()

### glPushAttrib

    void glPushAttrib(int mask)

  Parameters:
    `mask` -

### glPushClientAttrib

    void glPushClientAttrib(int mask)

  Parameters:
    `mask` -

### glPushMatrix

    void glPushMatrix()

### glPushName

    void glPushName(int name)

  Parameters:
    `name` -

### glRasterPos2f

    void glRasterPos2f(float x,
                       float y)

  Parameters:
    `x` -
    `y` -

### glRasterPos2i

    void glRasterPos2i(int x,
                       int y)

  Parameters:
    `x` -
    `y` -

### glRasterPos3f

    void glRasterPos3f(float x,
                       float y,
                       float z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glRasterPos3i

    void glRasterPos3i(int x,
                       int y,
                       int z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glRasterPos4f

    void glRasterPos4f(float x,
                       float y,
                       float z,
                       float w)

  Parameters:
    `x` -
    `y` -
    `z` -
    `w` -

### glRasterPos4i

    void glRasterPos4i(int x,
                       int y,
                       int z,
                       int w)

  Parameters:
    `x` -
    `y` -
    `z` -
    `w` -

### glReadBuffer

    void glReadBuffer(int mode)

  Parameters:
    `mode` -

### glReadPixels

    void glReadPixels(int x,
                      int y,
                      int width,
                      int height,
                      int format,
                      int type,
                      java.nio.ByteBuffer pixels)

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -
    `format` -
    `type` -
    `pixels` -

### glReadPixels

    void glReadPixels(int x,
                      int y,
                      int width,
                      int height,
                      int format,
                      int type,
                      java.nio.IntBuffer pixels)

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -
    `format` -
    `type` -
    `pixels` -

### glReadPixels

    void glReadPixels(int x,
                      int y,
                      int width,
                      int height,
                      int format,
                      int type,
                      java.nio.ShortBuffer pixels)

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -
    `format` -
    `type` -
    `pixels` -

### glReadPixels

    void glReadPixels(int x,
                      int y,
                      int width,
                      int height,
                      int format,
                      int type,
                      int buffer_offset)

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -
    `format` -
    `type` -
    `buffer_offset` -

### glRectf

    void glRectf(float x1,
                 float y1,
                 float x2,
                 float y2)

  Parameters:
    `x1` -
    `y1` -
    `x2` -
    `y2` -

### glRecti

    void glRecti(int x1,
                 int y1,
                 int x2,
                 int y2)

  Parameters:
    `x1` -
    `y1` -
    `x2` -
    `y2` -

### glRenderMode

    int glRenderMode(int mode)

  Parameters:
    `mode` -
  Returns:

### glRotatef

    void glRotatef(float angle,
                   float x,
                   float y,
                   float z)

  Parameters:
    `angle` -
    `x` -
    `y` -
    `z` -

### glScalef

    void glScalef(float x,
                  float y,
                  float z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glScissor

    void glScissor(int x,
                   int y,
                   int width,
                   int height)

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -

### glSelectBuffer

    void glSelectBuffer(java.nio.IntBuffer buffer)

  Parameters:
    `buffer` -

### glShadeModel

    void glShadeModel(int mode)

  Parameters:
    `mode` -

### glStencilFunc

    void glStencilFunc(int func,
                       int ref,
                       int mask)

  Parameters:
    `func` -
    `ref` -
    `mask` -

### glStencilMask

    void glStencilMask(int mask)

  Parameters:
    `mask` -

### glStencilOp

    void glStencilOp(int fail,
                     int zfail,
                     int zpass)

  Parameters:
    `fail` -
    `zfail` -
    `zpass` -

### glTexCoord1f

    void glTexCoord1f(float s)

  Parameters:
    `s` -

### glTexCoord2f

    void glTexCoord2f(float s,
                      float t)

  Parameters:
    `s` -
    `t` -

### glTexCoord3f

    void glTexCoord3f(float s,
                      float t,
                      float r)

  Parameters:
    `s` -
    `t` -
    `r` -

### glTexCoord4f

    void glTexCoord4f(float s,
                      float t,
                      float r,
                      float q)

  Parameters:
    `s` -
    `t` -
    `r` -
    `q` -

### glTexCoordPointer

    void glTexCoordPointer(int size,
                           int stride,
                           java.nio.FloatBuffer pointer)

  Parameters:
    `size` -
    `stride` -
    `pointer` -

### glTexCoordPointer

    void glTexCoordPointer(int size,
                           int type,
                           int stride,
                           int buffer_offset)

  Parameters:
    `size` -
    `type` -
    `stride` -
    `buffer_offset` -

### glTexEnv

    void glTexEnv(int target,
                  int pname,
                  java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glTexEnv

    void glTexEnv(int target,
                  int pname,
                  java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glTexEnvf

    void glTexEnvf(int target,
                   int pname,
                   float param)

  Parameters:
    `target` -
    `pname` -
    `param` -

### glTexEnvi

    void glTexEnvi(int target,
                   int pname,
                   int param)

  Parameters:
    `target` -
    `pname` -
    `param` -

### glTexGen

    void glTexGen(int coord,
                  int pname,
                  java.nio.FloatBuffer params)

  Parameters:
    `coord` -
    `pname` -
    `params` -

### glTexGen

    void glTexGen(int coord,
                  int pname,
                  java.nio.IntBuffer params)

  Parameters:
    `coord` -
    `pname` -
    `params` -

### glTexGenf

    void glTexGenf(int coord,
                   int pname,
                   float param)

  Parameters:
    `coord` -
    `pname` -
    `param` -

### glTexGeni

    void glTexGeni(int coord,
                   int pname,
                   int param)

  Parameters:
    `coord` -
    `pname` -
    `param` -

### glTexImage1D

    void glTexImage1D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int border,
                      int format,
                      int type,
                      java.nio.ByteBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage1D

    void glTexImage1D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int border,
                      int format,
                      int type,
                      java.nio.FloatBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage1D

    void glTexImage1D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int border,
                      int format,
                      int type,
                      java.nio.IntBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage1D

    void glTexImage1D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int border,
                      int format,
                      int type,
                      java.nio.ShortBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage1D

    void glTexImage1D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int border,
                      int format,
                      int type,
                      int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `format` -
    `type` -
    `buffer_offset` -

### glTexImage2D

    void glTexImage2D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int height,
                      int border,
                      int format,
                      int type,
                      java.nio.ByteBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage2D

    void glTexImage2D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int height,
                      int border,
                      int format,
                      int type,
                      java.nio.FloatBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage2D

    void glTexImage2D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int height,
                      int border,
                      int format,
                      int type,
                      java.nio.IntBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage2D

    void glTexImage2D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int height,
                      int border,
                      int format,
                      int type,
                      java.nio.ShortBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage2D

    void glTexImage2D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int height,
                      int border,
                      int format,
                      int type,
                      int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `format` -
    `type` -
    `buffer_offset` -

### glTexParameter

    void glTexParameter(int target,
                        int pname,
                        java.nio.FloatBuffer param)

  Parameters:
    `target` -
    `pname` -
    `param` -

### glTexParameter

    void glTexParameter(int target,
                        int pname,
                        java.nio.IntBuffer param)

  Parameters:
    `target` -
    `pname` -
    `param` -

### glTexParameterf

    void glTexParameterf(int target,
                         int pname,
                         float param)

  Parameters:
    `target` -
    `pname` -
    `param` -

### glTexParameteri

    void glTexParameteri(int target,
                         int pname,
                         int param)

  Parameters:
    `target` -
    `pname` -
    `param` -

### glTexSubImage1D

    void glTexSubImage1D(int target,
                         int level,
                         int xoffset,
                         int width,
                         int format,
                         int type,
                         java.nio.ByteBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `format` -
    `type` -
    `pixels` -

### glTexSubImage1D

    void glTexSubImage1D(int target,
                         int level,
                         int xoffset,
                         int width,
                         int format,
                         int type,
                         java.nio.IntBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `format` -
    `type` -
    `pixels` -

### glTexSubImage1D

    void glTexSubImage1D(int target,
                         int level,
                         int xoffset,
                         int width,
                         int format,
                         int type,
                         int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `format` -
    `type` -
    `buffer_offset` -

### glTexSubImage1D

    void glTexSubImage1D(int target,
                         int level,
                         int xoffset,
                         int width,
                         int format,
                         int type,
                         java.nio.ShortBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `format` -
    `type` -
    `pixels` -

### glTexSubImage2D

    void glTexSubImage2D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int width,
                         int height,
                         int format,
                         int type,
                         java.nio.ByteBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `format` -
    `type` -
    `pixels` -

### glTexSubImage2D

    void glTexSubImage2D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int width,
                         int height,
                         int format,
                         int type,
                         java.nio.IntBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `format` -
    `type` -
    `pixels` -

### glTexSubImage2D

    void glTexSubImage2D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int width,
                         int height,
                         int format,
                         int type,
                         java.nio.ShortBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `format` -
    `type` -
    `pixels` -

### glTexSubImage2D

    void glTexSubImage2D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int width,
                         int height,
                         int format,
                         int type,
                         int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `format` -
    `type` -
    `buffer_offset` -

### glTranslatef

    void glTranslatef(float x,
                      float y,
                      float z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glVertex2f

    void glVertex2f(float x,
                    float y)

  Parameters:
    `x` -
    `y` -

### glVertex2i

    void glVertex2i(int x,
                    int y)

  Parameters:
    `x` -
    `y` -

### glVertex3f

    void glVertex3f(float x,
                    float y,
                    float z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glVertex3i

    void glVertex3i(int x,
                    int y,
                    int z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glVertex4f

    void glVertex4f(float x,
                    float y,
                    float z,
                    float w)

  Parameters:
    `x` -
    `y` -
    `z` -
    `w` -

### glVertex4i

    void glVertex4i(int x,
                    int y,
                    int z,
                    int w)

  Parameters:
    `x` -
    `y` -
    `z` -
    `w` -

### glVertexPointer

    void glVertexPointer(int size,
                         int stride,
                         java.nio.FloatBuffer pointer)

  Parameters:
    `size` -
    `stride` -
    `pointer` -

### glVertexPointer

    void glVertexPointer(int size,
                         int type,
                         int stride,
                         int buffer_offset)

  Parameters:
    `size` -
    `type` -
    `stride` -
    `buffer_offset` -

### glVertexPointer

    void glVertexPointer(int size,
                         int stride,
                         java.nio.IntBuffer pointer)

  Parameters:
    `size` -
    `stride` -
    `pointer` -

### glViewport

    void glViewport(int x,
                    int y,
                    int width,
                    int height)

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -

### glCopyTexSubImage3D

    void glCopyTexSubImage3D(int target,
                             int level,
                             int xoffset,
                             int yoffset,
                             int zoffset,
                             int x,
                             int y,
                             int width,
                             int height)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `x` -
    `y` -
    `width` -
    `height` -

### glDrawRangeElements

    void glDrawRangeElements(int mode,
                             int start,
                             int end,
                             java.nio.ByteBuffer indices)

  Parameters:
    `mode` -
    `start` -
    `end` -
    `indices` -

### glDrawRangeElements

    void glDrawRangeElements(int mode,
                             int start,
                             int end,
                             int count,
                             int type,
                             int buffer_offset)

  Parameters:
    `mode` -
    `start` -
    `end` -
    `count` -
    `type` -
    `buffer_offset` -

### glDrawRangeElements

    void glDrawRangeElements(int mode,
                             int start,
                             int end,
                             java.nio.IntBuffer indices)

  Parameters:
    `mode` -
    `start` -
    `end` -
    `indices` -

### glDrawRangeElements

    void glDrawRangeElements(int mode,
                             int start,
                             int end,
                             java.nio.ShortBuffer indices)

  Parameters:
    `mode` -
    `start` -
    `end` -
    `indices` -

### glTexImage3D

    void glTexImage3D(int target,
                      int level,
                      int internalFormat,
                      int width,
                      int height,
                      int depth,
                      int border,
                      int format,
                      int type,
                      java.nio.ByteBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalFormat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage3D

    void glTexImage3D(int target,
                      int level,
                      int internalFormat,
                      int width,
                      int height,
                      int depth,
                      int border,
                      int format,
                      int type,
                      java.nio.FloatBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalFormat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage3D

    void glTexImage3D(int target,
                      int level,
                      int internalFormat,
                      int width,
                      int height,
                      int depth,
                      int border,
                      int format,
                      int type,
                      java.nio.IntBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalFormat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage3D

    void glTexImage3D(int target,
                      int level,
                      int internalFormat,
                      int width,
                      int height,
                      int depth,
                      int border,
                      int format,
                      int type,
                      java.nio.ShortBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `internalFormat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `format` -
    `type` -
    `pixels` -

### glTexImage3D

    void glTexImage3D(int target,
                      int level,
                      int internalFormat,
                      int width,
                      int height,
                      int depth,
                      int border,
                      int format,
                      int type,
                      int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `internalFormat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `format` -
    `type` -
    `buffer_offset` -

### glTexSubImage3D

    void glTexSubImage3D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int zoffset,
                         int width,
                         int height,
                         int depth,
                         int format,
                         int type,
                         java.nio.ByteBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `format` -
    `type` -
    `pixels` -

### glTexSubImage3D

    void glTexSubImage3D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int zoffset,
                         int width,
                         int height,
                         int depth,
                         int format,
                         int type,
                         java.nio.FloatBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `format` -
    `type` -
    `pixels` -

### glTexSubImage3D

    void glTexSubImage3D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int zoffset,
                         int width,
                         int height,
                         int depth,
                         int format,
                         int type,
                         java.nio.IntBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `format` -
    `type` -
    `pixels` -

### glTexSubImage3D

    void glTexSubImage3D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int zoffset,
                         int width,
                         int height,
                         int depth,
                         int format,
                         int type,
                         java.nio.ShortBuffer pixels)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `format` -
    `type` -
    `pixels` -

### glTexSubImage3D

    void glTexSubImage3D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int zoffset,
                         int width,
                         int height,
                         int depth,
                         int format,
                         int type,
                         int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `format` -
    `type` -
    `buffer_offset` -

### glActiveTexture

    void glActiveTexture(int texture)

  Parameters:
    `texture` -

### glClientActiveTexture

    void glClientActiveTexture(int texture)

  Parameters:
    `texture` -

### glCompressedTexImage1D

    void glCompressedTexImage1D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int border,
                                int imageSize,
                                java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage1D

    void glCompressedTexImage1D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int border,
                                int imageSize,
                                java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage1D

    void glCompressedTexImage1D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int border,
                                int imageSize,
                                java.nio.IntBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage1D

    void glCompressedTexImage1D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int border,
                                int imageSize,
                                java.nio.ShortBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage1D

    void glCompressedTexImage1D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int border,
                                int imageSize,
                                int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `imageSize` -
    `buffer_offset` -

### glCompressedTexImage2D

    void glCompressedTexImage2D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int border,
                                int imageSize,
                                java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage2D

    void glCompressedTexImage2D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int border,
                                int imageSize,
                                java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage2D

    void glCompressedTexImage2D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int border,
                                int imageSize,
                                java.nio.IntBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage2D

    void glCompressedTexImage2D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int border,
                                int imageSize,
                                java.nio.ShortBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage2D

    void glCompressedTexImage2D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int border,
                                int imageSize,
                                int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `buffer_offset` -

### glCompressedTexImage3D

    void glCompressedTexImage3D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int depth,
                                int border,
                                int imageSize,
                                java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage3D

    void glCompressedTexImage3D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int depth,
                                int border,
                                int imageSize,
                                java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage3D

    void glCompressedTexImage3D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int depth,
                                int border,
                                int imageSize,
                                java.nio.IntBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage3D

    void glCompressedTexImage3D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int depth,
                                int border,
                                int imageSize,
                                java.nio.ShortBuffer data)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `data` -

### glCompressedTexImage3D

    void glCompressedTexImage3D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int depth,
                                int border,
                                int imageSize,
                                int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `buffer_offset` -

### glCompressedTexSubImage1D

    void glCompressedTexSubImage1D(int target,
                                   int level,
                                   int xoffset,
                                   int width,
                                   int format,
                                   int imageSize,
                                   java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage1D

    void glCompressedTexSubImage1D(int target,
                                   int level,
                                   int xoffset,
                                   int width,
                                   int format,
                                   int imageSize,
                                   java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage1D

    void glCompressedTexSubImage1D(int target,
                                   int level,
                                   int xoffset,
                                   int width,
                                   int format,
                                   int imageSize,
                                   java.nio.IntBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage1D

    void glCompressedTexSubImage1D(int target,
                                   int level,
                                   int xoffset,
                                   int width,
                                   int format,
                                   int imageSize,
                                   java.nio.ShortBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage1D

    void glCompressedTexSubImage1D(int target,
                                   int level,
                                   int xoffset,
                                   int width,
                                   int format,
                                   int imageSize,
                                   int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `format` -
    `imageSize` -
    `buffer_offset` -

### glCompressedTexSubImage2D

    void glCompressedTexSubImage2D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int width,
                                   int height,
                                   int format,
                                   int imageSize,
                                   java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage2D

    void glCompressedTexSubImage2D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int width,
                                   int height,
                                   int format,
                                   int imageSize,
                                   java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage2D

    void glCompressedTexSubImage2D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int width,
                                   int height,
                                   int format,
                                   int imageSize,
                                   java.nio.IntBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage2D

    void glCompressedTexSubImage2D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int width,
                                   int height,
                                   int format,
                                   int imageSize,
                                   java.nio.ShortBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage2D

    void glCompressedTexSubImage2D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int width,
                                   int height,
                                   int format,
                                   int imageSize,
                                   int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `format` -
    `imageSize` -
    `buffer_offset` -

### glCompressedTexSubImage3D

    void glCompressedTexSubImage3D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int zoffset,
                                   int width,
                                   int height,
                                   int depth,
                                   int format,
                                   int imageSize,
                                   java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage3D

    void glCompressedTexSubImage3D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int zoffset,
                                   int width,
                                   int height,
                                   int depth,
                                   int format,
                                   int imageSize,
                                   java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage3D

    void glCompressedTexSubImage3D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int zoffset,
                                   int width,
                                   int height,
                                   int depth,
                                   int format,
                                   int imageSize,
                                   java.nio.IntBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage3D

    void glCompressedTexSubImage3D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int zoffset,
                                   int width,
                                   int height,
                                   int depth,
                                   int format,
                                   int imageSize,
                                   java.nio.ShortBuffer data)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `format` -
    `imageSize` -
    `data` -

### glCompressedTexSubImage3D

    void glCompressedTexSubImage3D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int zoffset,
                                   int width,
                                   int height,
                                   int depth,
                                   int format,
                                   int imageSize,
                                   int buffer_offset)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `format` -
    `imageSize` -
    `buffer_offset` -

### glGetCompressedTexImage

    void glGetCompressedTexImage(int target,
                                 int lod,
                                 java.nio.ByteBuffer img)

  Parameters:
    `target` -
    `lod` -
    `img` -

### glGetCompressedTexImage

    void glGetCompressedTexImage(int target,
                                 int lod,
                                 java.nio.IntBuffer img)

  Parameters:
    `target` -
    `lod` -
    `img` -

### glGetCompressedTexImage

    void glGetCompressedTexImage(int target,
                                 int lod,
                                 java.nio.ShortBuffer img)

  Parameters:
    `target` -
    `lod` -
    `img` -

### glGetCompressedTexImage

    void glGetCompressedTexImage(int target,
                                 int lod,
                                 int buffer_offset)

  Parameters:
    `target` -
    `lod` -
    `buffer_offset` -

### glLoadTransposeMatrix

    void glLoadTransposeMatrix(java.nio.FloatBuffer m)

  Parameters:
    `m` -

### glMultiTexCoord1f

    void glMultiTexCoord1f(int target,
                           float s)

  Parameters:
    `target` -
    `s` -

### glMultiTexCoord2f

    void glMultiTexCoord2f(int target,
                           float s,
                           float t)

  Parameters:
    `target` -
    `s` -
    `t` -

### glMultiTexCoord3f

    void glMultiTexCoord3f(int target,
                           float s,
                           float t,
                           float r)

  Parameters:
    `target` -
    `s` -
    `t` -
    `r` -

### glMultiTexCoord4f

    void glMultiTexCoord4f(int target,
                           float s,
                           float t,
                           float r,
                           float q)

  Parameters:
    `target` -
    `s` -
    `t` -
    `r` -
    `q` -

### glMultTransposeMatrix

    void glMultTransposeMatrix(java.nio.FloatBuffer m)

  Parameters:
    `m` -

### glSampleCoverage

    void glSampleCoverage(float value,
                          boolean invert)

  Parameters:
    `value` -
    `invert` -

### glBlendColor

    void glBlendColor(float red,
                      float green,
                      float blue,
                      float alpha)

  Parameters:
    `red` -
    `green` -
    `blue` -
    `alpha` -

### glBlendEquation

    void glBlendEquation(int mode)

  Parameters:
    `mode` -

### glBlendFuncSeparate

    void glBlendFuncSeparate(int sfactorRGB,
                             int dfactorRGB,
                             int sfactorAlpha,
                             int dfactorAlpha)

  Parameters:
    `sfactorRGB` -
    `dfactorRGB` -
    `sfactorAlpha` -
    `dfactorAlpha` -

### glFogCoordf

    void glFogCoordf(float coord)

  Parameters:
    `coord` -

### glFogCoordPointer

    void glFogCoordPointer(int stride,
                           java.nio.FloatBuffer data)

  Parameters:
    `stride` -
    `data` -

### glFogCoordPointer

    void glFogCoordPointer(int type,
                           int stride,
                           int buffer_offset)

  Parameters:
    `type` -
    `stride` -
    `buffer_offset` -

### glMultiDrawArrays

    void glMultiDrawArrays(int mode,
                           java.nio.IntBuffer piFirst,
                           java.nio.IntBuffer piCount)

  Parameters:
    `mode` -
    `piFirst` -
    `piCount` -

### glPointParameter

    void glPointParameter(int pname,
                          java.nio.FloatBuffer params)

  Parameters:
    `pname` -
    `params` -

### glPointParameterf

    void glPointParameterf(int pname,
                           float param)

  Parameters:
    `pname` -
    `param` -

### glSecondaryColor3b

    void glSecondaryColor3b(byte red,
                            byte green,
                            byte blue)

  Parameters:
    `red` -
    `green` -
    `blue` -

### glSecondaryColor3f

    void glSecondaryColor3f(float red,
                            float green,
                            float blue)

  Parameters:
    `red` -
    `green` -
    `blue` -

### glSecondaryColor3ub

    void glSecondaryColor3ub(byte red,
                             byte green,
                             byte blue)

  Parameters:
    `red` -
    `green` -
    `blue` -

### glSecondaryColorPointer

    void glSecondaryColorPointer(int size,
                                 boolean unsigned,
                                 int stride,
                                 java.nio.ByteBuffer data)

  Parameters:
    `size` -
    `unsigned` -
    `stride` -
    `data` -

### glSecondaryColorPointer

    void glSecondaryColorPointer(int size,
                                 int stride,
                                 java.nio.FloatBuffer data)

  Parameters:
    `size` -
    `stride` -
    `data` -

### glSecondaryColorPointer

    void glSecondaryColorPointer(int size,
                                 int type,
                                 int stride,
                                 int buffer_offset)

  Parameters:
    `size` -
    `type` -
    `stride` -
    `buffer_offset` -

### glWindowPos2f

    void glWindowPos2f(float x,
                       float y)

  Parameters:
    `x` -
    `y` -

### glWindowPos2i

    void glWindowPos2i(int x,
                       int y)

  Parameters:
    `x` -
    `y` -

### glWindowPos3f

    void glWindowPos3f(float x,
                       float y,
                       float z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glWindowPos3i

    void glWindowPos3i(int x,
                       int y,
                       int z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glBeginQuery

    void glBeginQuery(int target,
                      int id)

  Parameters:
    `target` -
    `id` -

### glBindBuffer

    void glBindBuffer(int target,
                      int buffer)

  Parameters:
    `target` -
    `buffer` -

### glBufferData

    void glBufferData(int target,
                      int size,
                      int usage)

  Parameters:
    `target` -
    `size` -
    `usage` -

### glBufferData

    void glBufferData(int target,
                      java.nio.ByteBuffer data,
                      int usage)

  Parameters:
    `target` -
    `data` -
    `usage` -

### glBufferData

    void glBufferData(int target,
                      java.nio.FloatBuffer data,
                      int usage)

  Parameters:
    `target` -
    `data` -
    `usage` -

### glBufferData

    void glBufferData(int target,
                      java.nio.IntBuffer data,
                      int usage)

  Parameters:
    `target` -
    `data` -
    `usage` -

### glBufferData

    void glBufferData(int target,
                      java.nio.ShortBuffer data,
                      int usage)

  Parameters:
    `target` -
    `data` -
    `usage` -

### glBufferSubData

    void glBufferSubData(int target,
                         int offset,
                         java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glBufferSubData

    void glBufferSubData(int target,
                         int offset,
                         java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glBufferSubData

    void glBufferSubData(int target,
                         int offset,
                         java.nio.IntBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glBufferSubData

    void glBufferSubData(int target,
                         int offset,
                         java.nio.ShortBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glDeleteBuffers

    void glDeleteBuffers(java.nio.IntBuffer buffers)

  Parameters:
    `buffers` -

### glDeleteQueries

    void glDeleteQueries(java.nio.IntBuffer ids)

  Parameters:
    `ids` -

### glEndQuery

    void glEndQuery(int target)

  Parameters:
    `target` -

### glGenBuffers

    void glGenBuffers(java.nio.IntBuffer buffers)

  Parameters:
    `buffers` -

### glGenQueries

    void glGenQueries(java.nio.IntBuffer ids)

  Parameters:
    `ids` -

### glGetBufferParameter

    void glGetBufferParameter(int target,
                              int pname,
                              java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetBufferPointer

    java.nio.ByteBuffer glGetBufferPointer(int target,
                                           int pname,
                                           int size)

  Parameters:
    `target` -
    `pname` -
    `size` -
  Returns:

### glGetBufferSubData

    void glGetBufferSubData(int target,
                            int offset,
                            java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glGetBufferSubData

    void glGetBufferSubData(int target,
                            int offset,
                            java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glGetBufferSubData

    void glGetBufferSubData(int target,
                            int offset,
                            java.nio.IntBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glGetBufferSubData

    void glGetBufferSubData(int target,
                            int offset,
                            java.nio.ShortBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glGetQuery

    void glGetQuery(int target,
                    int pname,
                    java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetQueryObject

    void glGetQueryObject(int id,
                          int pname,
                          java.nio.IntBuffer params)

  Parameters:
    `id` -
    `pname` -
    `params` -

### glGetQueryObjectu

    void glGetQueryObjectu(int id,
                           int pname,
                           java.nio.IntBuffer params)

  Parameters:
    `id` -
    `pname` -
    `params` -

### glIsBuffer

    boolean glIsBuffer(int buffer)

  Parameters:
    `buffer` -
  Returns:

### glIsQuery

    boolean glIsQuery(int id)

  Parameters:
    `id` -
  Returns:

### glMapBuffer

    java.nio.ByteBuffer glMapBuffer(int target,
                                    int access,
                                    int size,
                                    java.nio.ByteBuffer oldBuffer)

  Parameters:
    `target` -
    `access` -
    `size` -
    `oldBuffer` -
  Returns:

### glUnmapBuffer

    boolean glUnmapBuffer(int target)

  Parameters:
    `target` -
  Returns:

### glBindBufferARB

    void glBindBufferARB(int target,
                         int buffer)

  Parameters:
    `target` -
    `buffer` -

### glBufferDataARB

    void glBufferDataARB(int target,
                         int size,
                         int usage)

  Parameters:
    `target` -
    `size` -
    `usage` -

### glBufferDataARB

    void glBufferDataARB(int target,
                         java.nio.ByteBuffer data,
                         int usage)

  Parameters:
    `target` -
    `data` -
    `usage` -

### glBufferDataARB

    void glBufferDataARB(int target,
                         java.nio.FloatBuffer data,
                         int usage)

  Parameters:
    `target` -
    `data` -
    `usage` -

### glBufferDataARB

    void glBufferDataARB(int target,
                         java.nio.IntBuffer data,
                         int usage)

  Parameters:
    `target` -
    `data` -
    `usage` -

### glBufferDataARB

    void glBufferDataARB(int target,
                         java.nio.ShortBuffer data,
                         int usage)

  Parameters:
    `target` -
    `data` -
    `usage` -

### glBufferSubDataARB

    void glBufferSubDataARB(int target,
                            int offset,
                            java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glBufferSubDataARB

    void glBufferSubDataARB(int target,
                            int offset,
                            java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glBufferSubDataARB

    void glBufferSubDataARB(int target,
                            int offset,
                            java.nio.IntBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glBufferSubDataARB

    void glBufferSubDataARB(int target,
                            int offset,
                            java.nio.ShortBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glDeleteBuffersARB

    void glDeleteBuffersARB(java.nio.IntBuffer buffers)

  Parameters:
    `buffers` -

### glGenBuffersARB

    void glGenBuffersARB(java.nio.IntBuffer buffers)

  Parameters:
    `buffers` -

### glGetBufferParameterARB

    void glGetBufferParameterARB(int target,
                                 int pname,
                                 java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetBufferPointerARB

    java.nio.ByteBuffer glGetBufferPointerARB(int target,
                                              int pname,
                                              int size)

  Parameters:
    `target` -
    `pname` -
    `size` -
  Returns:

### glGetBufferSubDataARB

    void glGetBufferSubDataARB(int target,
                               int offset,
                               java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glGetBufferSubDataARB

    void glGetBufferSubDataARB(int target,
                               int offset,
                               java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glGetBufferSubDataARB

    void glGetBufferSubDataARB(int target,
                               int offset,
                               java.nio.IntBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glGetBufferSubDataARB

    void glGetBufferSubDataARB(int target,
                               int offset,
                               java.nio.ShortBuffer data)

  Parameters:
    `target` -
    `offset` -
    `data` -

### glIsBufferARB

    boolean glIsBufferARB(int buffer)

  Parameters:
    `buffer` -
  Returns:

### glMapBufferARB

    java.nio.ByteBuffer glMapBufferARB(int target,
                                       int access,
                                       int size,
                                       java.nio.ByteBuffer oldBuffer)

  Parameters:
    `target` -
    `access` -
    `size` -
    `oldBuffer` -
  Returns:

### glUnmapBufferARB

    boolean glUnmapBufferARB(int target)

  Parameters:
    `target` -
  Returns:

### glBindProgramARB

    void glBindProgramARB(int target,
                          int program)

  Parameters:
    `target` -
    `program` -

### glDeleteProgramsARB

    void glDeleteProgramsARB(java.nio.IntBuffer programs)

  Parameters:
    `programs` -

### glGenProgramsARB

    void glGenProgramsARB(java.nio.IntBuffer programs)

  Parameters:
    `programs` -

### glGetProgramARB

    void glGetProgramARB(int target,
                         int parameterName,
                         java.nio.IntBuffer params)

  Parameters:
    `target` -
    `parameterName` -
    `params` -

### glGetProgramEnvParameterARB

    void glGetProgramEnvParameterARB(int target,
                                     int index,
                                     java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `index` -
    `params` -

### glGetProgramLocalParameterARB

    void glGetProgramLocalParameterARB(int target,
                                       int index,
                                       java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `index` -
    `params` -

### glGetProgramStringARB

    void glGetProgramStringARB(int target,
                               int parameterName,
                               java.nio.ByteBuffer paramString)

  Parameters:
    `target` -
    `parameterName` -
    `paramString` -

### glIsProgramARB

    boolean glIsProgramARB(int program)

  Parameters:
    `program` -
  Returns:

### glProgramEnvParameter4fARB

    void glProgramEnvParameter4fARB(int target,
                                    int index,
                                    float x,
                                    float y,
                                    float z,
                                    float w)

  Parameters:
    `target` -
    `index` -
    `x` -
    `y` -
    `z` -
    `w` -

### glProgramEnvParameter4ARB

    void glProgramEnvParameter4ARB(int target,
                                   int index,
                                   java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `index` -
    `params` -

### glProgramLocalParameter4fARB

    void glProgramLocalParameter4fARB(int target,
                                      int index,
                                      float x,
                                      float y,
                                      float z,
                                      float w)

  Parameters:
    `target` -
    `index` -
    `x` -
    `y` -
    `z` -
    `w` -

### glProgramLocalParameter4ARB

    void glProgramLocalParameter4ARB(int target,
                                     int index,
                                     java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `index` -
    `params` -

### glProgramStringARB

    void glProgramStringARB(int target,
                            int format,
                            java.nio.ByteBuffer string)

  Parameters:
    `target` -
    `format` -
    `string` -

### glColorSubTable

    void glColorSubTable(int target,
                         int start,
                         int count,
                         int format,
                         int type,
                         java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `start` -
    `count` -
    `format` -
    `type` -
    `data` -

### glColorSubTable

    void glColorSubTable(int target,
                         int start,
                         int count,
                         int format,
                         int type,
                         java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `start` -
    `count` -
    `format` -
    `type` -
    `data` -

### glColorSubTable

    void glColorSubTable(int target,
                         int start,
                         int count,
                         int format,
                         int type,
                         int buffer_offset)

  Parameters:
    `target` -
    `start` -
    `count` -
    `format` -
    `type` -
    `buffer_offset` -

### glColorTable

    void glColorTable(int target,
                      int internalFormat,
                      int width,
                      int format,
                      int type,
                      java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `internalFormat` -
    `width` -
    `format` -
    `type` -
    `data` -

### glColorTable

    void glColorTable(int target,
                      int internalFormat,
                      int width,
                      int format,
                      int type,
                      java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `internalFormat` -
    `width` -
    `format` -
    `type` -
    `data` -

### glColorTable

    void glColorTable(int target,
                      int internalFormat,
                      int width,
                      int format,
                      int type,
                      int buffer_offset)

  Parameters:
    `target` -
    `internalFormat` -
    `width` -
    `format` -
    `type` -
    `buffer_offset` -

### glColorTableParameter

    void glColorTableParameter(int target,
                               int pname,
                               java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glColorTableParameter

    void glColorTableParameter(int target,
                               int pname,
                               java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glConvolutionFilter1D

    void glConvolutionFilter1D(int target,
                               int internalformat,
                               int width,
                               int format,
                               int type,
                               java.nio.ByteBuffer image)

  Parameters:
    `target` -
    `internalformat` -
    `width` -
    `format` -
    `type` -
    `image` -

### glConvolutionFilter1D

    void glConvolutionFilter1D(int target,
                               int internalformat,
                               int width,
                               int format,
                               int type,
                               java.nio.FloatBuffer image)

  Parameters:
    `target` -
    `internalformat` -
    `width` -
    `format` -
    `type` -
    `image` -

### glConvolutionFilter1D

    void glConvolutionFilter1D(int target,
                               int internalformat,
                               int width,
                               int format,
                               int type,
                               java.nio.IntBuffer image)

  Parameters:
    `target` -
    `internalformat` -
    `width` -
    `format` -
    `type` -
    `image` -

### glConvolutionFilter1D

    void glConvolutionFilter1D(int target,
                               int internalformat,
                               int width,
                               int format,
                               int type,
                               java.nio.ShortBuffer image)

  Parameters:
    `target` -
    `internalformat` -
    `width` -
    `format` -
    `type` -
    `image` -

### glConvolutionFilter1D

    void glConvolutionFilter1D(int target,
                               int internalformat,
                               int width,
                               int format,
                               int type,
                               int buffer_offset)

  Parameters:
    `target` -
    `internalformat` -
    `width` -
    `format` -
    `type` -
    `buffer_offset` -

### glConvolutionFilter2D

    void glConvolutionFilter2D(int target,
                               int internalformat,
                               int width,
                               int height,
                               int format,
                               int type,
                               java.nio.ByteBuffer image)

  Parameters:
    `target` -
    `internalformat` -
    `width` -
    `height` -
    `format` -
    `type` -
    `image` -

### glConvolutionFilter2D

    void glConvolutionFilter2D(int target,
                               int internalformat,
                               int width,
                               int height,
                               int format,
                               int type,
                               java.nio.IntBuffer image)

  Parameters:
    `target` -
    `internalformat` -
    `width` -
    `height` -
    `format` -
    `type` -
    `image` -

### glConvolutionFilter2D

    void glConvolutionFilter2D(int target,
                               int internalformat,
                               int width,
                               int height,
                               int format,
                               int type,
                               java.nio.ShortBuffer image)

  Parameters:
    `target` -
    `internalformat` -
    `width` -
    `height` -
    `format` -
    `type` -
    `image` -

### glConvolutionFilter2D

    void glConvolutionFilter2D(int target,
                               int internalformat,
                               int width,
                               int height,
                               int format,
                               int type,
                               int buffer_offset)

  Parameters:
    `target` -
    `internalformat` -
    `width` -
    `height` -
    `format` -
    `type` -
    `buffer_offset` -

### glConvolutionParameter

    void glConvolutionParameter(int target,
                                int pname,
                                java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glConvolutionParameterf

    void glConvolutionParameterf(int target,
                                 int pname,
                                 float params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glConvolutionParameteri

    void glConvolutionParameteri(int target,
                                 int pname,
                                 int params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glConvolutionParameter

    void glConvolutionParameter(int target,
                                int pname,
                                java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glCopyColorSubTable

    void glCopyColorSubTable(int target,
                             int start,
                             int x,
                             int y,
                             int width)

  Parameters:
    `target` -
    `start` -
    `x` -
    `y` -
    `width` -

### glCopyColorTable

    void glCopyColorTable(int target,
                          int internalformat,
                          int x,
                          int y,
                          int width)

  Parameters:
    `target` -
    `internalformat` -
    `x` -
    `y` -
    `width` -

### glCopyConvolutionFilter1D

    void glCopyConvolutionFilter1D(int target,
                                   int internalformat,
                                   int x,
                                   int y,
                                   int width)

  Parameters:
    `target` -
    `internalformat` -
    `x` -
    `y` -
    `width` -

### glCopyConvolutionFilter2D

    void glCopyConvolutionFilter2D(int target,
                                   int internalformat,
                                   int x,
                                   int y,
                                   int width,
                                   int height)

  Parameters:
    `target` -
    `internalformat` -
    `x` -
    `y` -
    `width` -
    `height` -

### glGetColorTable

    void glGetColorTable(int target,
                         int format,
                         int type,
                         java.nio.ByteBuffer data)

  Parameters:
    `target` -
    `format` -
    `type` -
    `data` -

### glGetColorTable

    void glGetColorTable(int target,
                         int format,
                         int type,
                         java.nio.FloatBuffer data)

  Parameters:
    `target` -
    `format` -
    `type` -
    `data` -

### glGetColorTableParameter

    void glGetColorTableParameter(int target,
                                  int pname,
                                  java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetColorTableParameter

    void glGetColorTableParameter(int target,
                                  int pname,
                                  java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetConvolutionFilter

    void glGetConvolutionFilter(int target,
                                int format,
                                int type,
                                java.nio.ByteBuffer image)

  Parameters:
    `target` -
    `format` -
    `type` -
    `image` -

### glGetConvolutionFilter

    void glGetConvolutionFilter(int target,
                                int format,
                                int type,
                                java.nio.FloatBuffer image)

  Parameters:
    `target` -
    `format` -
    `type` -
    `image` -

### glGetConvolutionFilter

    void glGetConvolutionFilter(int target,
                                int format,
                                int type,
                                java.nio.IntBuffer image)

  Parameters:
    `target` -
    `format` -
    `type` -
    `image` -

### glGetConvolutionFilter

    void glGetConvolutionFilter(int target,
                                int format,
                                int type,
                                java.nio.ShortBuffer image)

  Parameters:
    `target` -
    `format` -
    `type` -
    `image` -

### glGetConvolutionFilter

    void glGetConvolutionFilter(int target,
                                int format,
                                int type,
                                int buffer_offset)

  Parameters:
    `target` -
    `format` -
    `type` -
    `buffer_offset` -

### glGetConvolutionParameter

    void glGetConvolutionParameter(int target,
                                   int pname,
                                   java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetConvolutionParameter

    void glGetConvolutionParameter(int target,
                                   int pname,
                                   java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetHistogram

    void glGetHistogram(int target,
                        boolean reset,
                        int format,
                        int type,
                        java.nio.ByteBuffer values)

  Parameters:
    `target` -
    `reset` -
    `format` -
    `type` -
    `values` -

### glGetHistogram

    void glGetHistogram(int target,
                        boolean reset,
                        int format,
                        int type,
                        java.nio.FloatBuffer values)

  Parameters:
    `target` -
    `reset` -
    `format` -
    `type` -
    `values` -

### glGetHistogram

    void glGetHistogram(int target,
                        boolean reset,
                        int format,
                        int type,
                        java.nio.IntBuffer values)

  Parameters:
    `target` -
    `reset` -
    `format` -
    `type` -
    `values` -

### glGetHistogram

    void glGetHistogram(int target,
                        boolean reset,
                        int format,
                        int type,
                        java.nio.ShortBuffer values)

  Parameters:
    `target` -
    `reset` -
    `format` -
    `type` -
    `values` -

### glGetHistogram

    void glGetHistogram(int target,
                        boolean reset,
                        int format,
                        int type,
                        int buffer_offset)

  Parameters:
    `target` -
    `reset` -
    `format` -
    `type` -
    `buffer_offset` -

### glGetHistogramParameter

    void glGetHistogramParameter(int target,
                                 int pname,
                                 java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetHistogramParameter

    void glGetHistogramParameter(int target,
                                 int pname,
                                 java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetMinmax

    void glGetMinmax(int target,
                     boolean reset,
                     int format,
                     int types,
                     java.nio.ByteBuffer values)

  Parameters:
    `target` -
    `reset` -
    `format` -
    `types` -
    `values` -

### glGetMinmax

    void glGetMinmax(int target,
                     boolean reset,
                     int format,
                     int types,
                     java.nio.FloatBuffer values)

  Parameters:
    `target` -
    `reset` -
    `format` -
    `types` -
    `values` -

### glGetMinmax

    void glGetMinmax(int target,
                     boolean reset,
                     int format,
                     int types,
                     java.nio.IntBuffer values)

  Parameters:
    `target` -
    `reset` -
    `format` -
    `types` -
    `values` -

### glGetMinmax

    void glGetMinmax(int target,
                     boolean reset,
                     int format,
                     int types,
                     java.nio.ShortBuffer values)

  Parameters:
    `target` -
    `reset` -
    `format` -
    `types` -
    `values` -

### glGetMinmax

    void glGetMinmax(int target,
                     boolean reset,
                     int format,
                     int types,
                     int buffer_offset)

  Parameters:
    `target` -
    `reset` -
    `format` -
    `types` -
    `buffer_offset` -

### glGetMinmaxParameter

    void glGetMinmaxParameter(int target,
                              int pname,
                              java.nio.FloatBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetMinmaxParameter

    void glGetMinmaxParameter(int target,
                              int pname,
                              java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetSeparableFilter

    void glGetSeparableFilter(int target,
                              int format,
                              int type,
                              int row_offset,
                              int column_offset,
                              int span_offset)

  Parameters:
    `target` -
    `format` -
    `type` -
    `row_offset` -
    `column_offset` -
    `span_offset` -

### glHistogram

    void glHistogram(int target,
                     int width,
                     int internalformat,
                     boolean sink)

  Parameters:
    `target` -
    `width` -
    `internalformat` -
    `sink` -

### glMinmax

    void glMinmax(int target,
                  int internalformat,
                  boolean sink)

  Parameters:
    `target` -
    `internalformat` -
    `sink` -

### glResetHistogram

    void glResetHistogram(int target)

  Parameters:
    `target` -

### glResetMinmax

    void glResetMinmax(int target)

  Parameters:
    `target` -

### glSeparableFilter2D

    void glSeparableFilter2D(int target,
                             int internalformat,
                             int width,
                             int height,
                             int format,
                             int type,
                             int row_offset,
                             int column_offset)

  Parameters:
    `target` -
    `internalformat` -
    `width` -
    `height` -
    `format` -
    `type` -
    `row_offset` -
    `column_offset` -

### glCurrentPaletteMatrixARB

    void glCurrentPaletteMatrixARB(int index)

  Parameters:
    `index` -

### glMatrixIndexPointerARB

    void glMatrixIndexPointerARB(int size,
                                 int stride,
                                 java.nio.ByteBuffer pPointer)

  Parameters:
    `size` -
    `stride` -
    `pPointer` -

### glMatrixIndexPointerARB

    void glMatrixIndexPointerARB(int size,
                                 int type,
                                 int stride,
                                 int buffer_offset)

  Parameters:
    `size` -
    `type` -
    `stride` -
    `buffer_offset` -

### glMatrixIndexPointerARB

    void glMatrixIndexPointerARB(int size,
                                 int stride,
                                 java.nio.IntBuffer pPointer)

  Parameters:
    `size` -
    `stride` -
    `pPointer` -

### glMatrixIndexPointerARB

    void glMatrixIndexPointerARB(int size,
                                 int stride,
                                 java.nio.ShortBuffer pPointer)

  Parameters:
    `size` -
    `stride` -
    `pPointer` -

### glMatrixIndexuARB

    void glMatrixIndexuARB(java.nio.ByteBuffer pIndices)

  Parameters:
    `pIndices` -

### glMatrixIndexuARB

    void glMatrixIndexuARB(java.nio.IntBuffer piIndices)

  Parameters:
    `piIndices` -

### glMatrixIndexuARB

    void glMatrixIndexuARB(java.nio.ShortBuffer psIndices)

  Parameters:
    `psIndices` -

### glSampleCoverageARB

    void glSampleCoverageARB(float value,
                             boolean invert)

  Parameters:
    `value` -
    `invert` -

### glActiveTextureARB

    void glActiveTextureARB(int texture)

  Parameters:
    `texture` -

### glClientActiveTextureARB

    void glClientActiveTextureARB(int texture)

  Parameters:
    `texture` -

### glMultiTexCoord1fARB

    void glMultiTexCoord1fARB(int target,
                              float s)

  Parameters:
    `target` -
    `s` -

### glMultiTexCoord1iARB

    void glMultiTexCoord1iARB(int target,
                              int s)

  Parameters:
    `target` -
    `s` -

### glMultiTexCoord1sARB

    void glMultiTexCoord1sARB(int target,
                              short s)

  Parameters:
    `target` -
    `s` -

### glMultiTexCoord2fARB

    void glMultiTexCoord2fARB(int target,
                              float s,
                              float t)

  Parameters:
    `target` -
    `s` -
    `t` -

### glMultiTexCoord2iARB

    void glMultiTexCoord2iARB(int target,
                              int s,
                              int t)

  Parameters:
    `target` -
    `s` -
    `t` -

### glMultiTexCoord2sARB

    void glMultiTexCoord2sARB(int target,
                              short s,
                              short t)

  Parameters:
    `target` -
    `s` -
    `t` -

### glMultiTexCoord3fARB

    void glMultiTexCoord3fARB(int target,
                              float s,
                              float t,
                              float r)

  Parameters:
    `target` -
    `s` -
    `t` -
    `r` -

### glMultiTexCoord3iARB

    void glMultiTexCoord3iARB(int target,
                              int s,
                              int t,
                              int r)

  Parameters:
    `target` -
    `s` -
    `t` -
    `r` -

### glMultiTexCoord3sARB

    void glMultiTexCoord3sARB(int target,
                              short s,
                              short t,
                              short r)

  Parameters:
    `target` -
    `s` -
    `t` -
    `r` -

### glMultiTexCoord4fARB

    void glMultiTexCoord4fARB(int target,
                              float s,
                              float t,
                              float r,
                              float q)

  Parameters:
    `target` -
    `s` -
    `t` -
    `r` -
    `q` -

### glMultiTexCoord4iARB

    void glMultiTexCoord4iARB(int target,
                              int s,
                              int t,
                              int r,
                              int q)

  Parameters:
    `target` -
    `s` -
    `t` -
    `r` -
    `q` -

### glMultiTexCoord4sARB

    void glMultiTexCoord4sARB(int target,
                              short s,
                              short t,
                              short r,
                              short q)

  Parameters:
    `target` -
    `s` -
    `t` -
    `r` -
    `q` -

### glBeginQueryARB

    void glBeginQueryARB(int target,
                         int id)

  Parameters:
    `target` -
    `id` -

### glDeleteQueriesARB

    void glDeleteQueriesARB(java.nio.IntBuffer ids)

  Parameters:
    `ids` -

### glEndQueryARB

    void glEndQueryARB(int target)

  Parameters:
    `target` -

### glGenQueriesARB

    void glGenQueriesARB(java.nio.IntBuffer ids)

  Parameters:
    `ids` -

### glGetQueryARB

    void glGetQueryARB(int target,
                       int pname,
                       java.nio.IntBuffer params)

  Parameters:
    `target` -
    `pname` -
    `params` -

### glGetQueryObjectARB

    void glGetQueryObjectARB(int id,
                             int pname,
                             java.nio.IntBuffer params)

  Parameters:
    `id` -
    `pname` -
    `params` -

### glGetQueryObjectuARB

    void glGetQueryObjectuARB(int id,
                              int pname,
                              java.nio.IntBuffer params)

  Parameters:
    `id` -
    `pname` -
    `params` -

### glIsQueryARB

    boolean glIsQueryARB(int id)

  Parameters:
    `id` -
  Returns:

### glPointParameterARB

    void glPointParameterARB(int pname,
                             java.nio.FloatBuffer pfParams)

  Parameters:
    `pname` -
    `pfParams` -

### glPointParameterfARB

    void glPointParameterfARB(int pname,
                              float param)

  Parameters:
    `pname` -
    `param` -

### glCompressedTexImage1DARB

    void glCompressedTexImage1DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int border,
                                   int imageSize,
                                   java.nio.ByteBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage1DARB

    void glCompressedTexImage1DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int border,
                                   int imageSize,
                                   java.nio.FloatBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage1DARB

    void glCompressedTexImage1DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int border,
                                   int imageSize,
                                   java.nio.IntBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage1DARB

    void glCompressedTexImage1DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int border,
                                   int imageSize,
                                   java.nio.ShortBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage2DARB

    void glCompressedTexImage2DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int height,
                                   int border,
                                   int imageSize,
                                   java.nio.ByteBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage2DARB

    void glCompressedTexImage2DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int height,
                                   int border,
                                   int imageSize,
                                   java.nio.FloatBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage2DARB

    void glCompressedTexImage2DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int height,
                                   int border,
                                   int imageSize,
                                   java.nio.IntBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage2DARB

    void glCompressedTexImage2DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int height,
                                   int border,
                                   int imageSize,
                                   java.nio.ShortBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage3DARB

    void glCompressedTexImage3DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int height,
                                   int depth,
                                   int border,
                                   int imageSize,
                                   java.nio.ByteBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage3DARB

    void glCompressedTexImage3DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int height,
                                   int depth,
                                   int border,
                                   int imageSize,
                                   java.nio.FloatBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage3DARB

    void glCompressedTexImage3DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int height,
                                   int depth,
                                   int border,
                                   int imageSize,
                                   java.nio.IntBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexImage3DARB

    void glCompressedTexImage3DARB(int target,
                                   int level,
                                   int internalformat,
                                   int width,
                                   int height,
                                   int depth,
                                   int border,
                                   int imageSize,
                                   java.nio.ShortBuffer pData)

  Parameters:
    `target` -
    `level` -
    `internalformat` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage1DARB

    void glCompressedTexSubImage1DARB(int target,
                                      int level,
                                      int xoffset,
                                      int width,
                                      int border,
                                      int imageSize,
                                      java.nio.ByteBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage1DARB

    void glCompressedTexSubImage1DARB(int target,
                                      int level,
                                      int xoffset,
                                      int width,
                                      int border,
                                      int imageSize,
                                      java.nio.FloatBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage1DARB

    void glCompressedTexSubImage1DARB(int target,
                                      int level,
                                      int xoffset,
                                      int width,
                                      int border,
                                      int imageSize,
                                      java.nio.IntBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage1DARB

    void glCompressedTexSubImage1DARB(int target,
                                      int level,
                                      int xoffset,
                                      int width,
                                      int border,
                                      int imageSize,
                                      java.nio.ShortBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `width` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage2DARB

    void glCompressedTexSubImage2DARB(int target,
                                      int level,
                                      int xoffset,
                                      int yoffset,
                                      int width,
                                      int height,
                                      int border,
                                      int imageSize,
                                      java.nio.ByteBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage2DARB

    void glCompressedTexSubImage2DARB(int target,
                                      int level,
                                      int xoffset,
                                      int yoffset,
                                      int width,
                                      int height,
                                      int border,
                                      int imageSize,
                                      java.nio.FloatBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage2DARB

    void glCompressedTexSubImage2DARB(int target,
                                      int level,
                                      int xoffset,
                                      int yoffset,
                                      int width,
                                      int height,
                                      int border,
                                      int imageSize,
                                      java.nio.IntBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage2DARB

    void glCompressedTexSubImage2DARB(int target,
                                      int level,
                                      int xoffset,
                                      int yoffset,
                                      int width,
                                      int height,
                                      int border,
                                      int imageSize,
                                      java.nio.ShortBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `width` -
    `height` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage3DARB

    void glCompressedTexSubImage3DARB(int target,
                                      int level,
                                      int xoffset,
                                      int yoffset,
                                      int zoffset,
                                      int width,
                                      int height,
                                      int depth,
                                      int border,
                                      int imageSize,
                                      java.nio.ByteBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage3DARB

    void glCompressedTexSubImage3DARB(int target,
                                      int level,
                                      int xoffset,
                                      int yoffset,
                                      int zoffset,
                                      int width,
                                      int height,
                                      int depth,
                                      int border,
                                      int imageSize,
                                      java.nio.FloatBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage3DARB

    void glCompressedTexSubImage3DARB(int target,
                                      int level,
                                      int xoffset,
                                      int yoffset,
                                      int zoffset,
                                      int width,
                                      int height,
                                      int depth,
                                      int border,
                                      int imageSize,
                                      java.nio.IntBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `pData` -

### glCompressedTexSubImage3DARB

    void glCompressedTexSubImage3DARB(int target,
                                      int level,
                                      int xoffset,
                                      int yoffset,
                                      int zoffset,
                                      int width,
                                      int height,
                                      int depth,
                                      int border,
                                      int imageSize,
                                      java.nio.ShortBuffer pData)

  Parameters:
    `target` -
    `level` -
    `xoffset` -
    `yoffset` -
    `zoffset` -
    `width` -
    `height` -
    `depth` -
    `border` -
    `imageSize` -
    `pData` -

### glGetCompressedTexImageARB

    void glGetCompressedTexImageARB(int target,
                                    int lod,
                                    java.nio.ByteBuffer pImg)

  Parameters:
    `target` -
    `lod` -
    `pImg` -

### glGetCompressedTexImageARB

    void glGetCompressedTexImageARB(int target,
                                    int lod,
                                    java.nio.IntBuffer pImg)

  Parameters:
    `target` -
    `lod` -
    `pImg` -

### glGetCompressedTexImageARB

    void glGetCompressedTexImageARB(int target,
                                    int lod,
                                    java.nio.ShortBuffer pImg)

  Parameters:
    `target` -
    `lod` -
    `pImg` -

### glLoadTransposeMatrixARB

    void glLoadTransposeMatrixARB(java.nio.FloatBuffer pfMtx)

  Parameters:
    `pfMtx` -

### glMultTransposeMatrixARB

    void glMultTransposeMatrixARB(java.nio.FloatBuffer pfMtx)

  Parameters:
    `pfMtx` -

### glVertexBlendARB

    void glVertexBlendARB(int count)

  Parameters:
    `count` -

### glWeightARB

    void glWeightARB(java.nio.ByteBuffer pWeights)

  Parameters:
    `pWeights` -

### glWeightARB

    void glWeightARB(java.nio.FloatBuffer pfWeights)

  Parameters:
    `pfWeights` -

### glWeightARB

    void glWeightARB(java.nio.IntBuffer piWeights)

  Parameters:
    `piWeights` -

### glWeightARB

    void glWeightARB(java.nio.ShortBuffer psWeights)

  Parameters:
    `psWeights` -

### glWeightPointerARB

    void glWeightPointerARB(int size,
                            boolean unsigned,
                            int stride,
                            java.nio.ByteBuffer pPointer)

  Parameters:
    `size` -
    `unsigned` -
    `stride` -
    `pPointer` -

### glWeightPointerARB

    void glWeightPointerARB(int size,
                            boolean unsigned,
                            int stride,
                            java.nio.IntBuffer pPointer)

  Parameters:
    `size` -
    `unsigned` -
    `stride` -
    `pPointer` -

### glWeightPointerARB

    void glWeightPointerARB(int size,
                            boolean unsigned,
                            int stride,
                            java.nio.ShortBuffer pPointer)

  Parameters:
    `size` -
    `unsigned` -
    `stride` -
    `pPointer` -

### glWeightPointerARB

    void glWeightPointerARB(int size,
                            int stride,
                            java.nio.FloatBuffer pPointer)

  Parameters:
    `size` -
    `stride` -
    `pPointer` -

### glWeightPointerARB

    void glWeightPointerARB(int size,
                            int type,
                            int stride,
                            int buffer_offset)

  Parameters:
    `size` -
    `type` -
    `stride` -
    `buffer_offset` -

### glWeightuARB

    void glWeightuARB(java.nio.ByteBuffer pWeights)

  Parameters:
    `pWeights` -

### glWeightuARB

    void glWeightuARB(java.nio.IntBuffer piWeights)

  Parameters:
    `piWeights` -

### glWeightuARB

    void glWeightuARB(java.nio.ShortBuffer psWeights)

  Parameters:
    `psWeights` -

### glBindAttribLocationARB

    void glBindAttribLocationARB(int programObj,
                                 int index,
                                 java.nio.ByteBuffer name)

  Parameters:
    `programObj` -
    `index` -
    `name` -

### glGetActiveAttribARB

    void glGetActiveAttribARB(int programObj,
                              int index,
                              java.nio.IntBuffer length,
                              java.nio.IntBuffer size,
                              java.nio.IntBuffer type,
                              java.nio.ByteBuffer name)

  Parameters:
    `programObj` -
    `index` -
    `length` -
    `size` -
    `type` -
    `name` -

### glGetAttribLocationARB

    int glGetAttribLocationARB(int programObj,
                               java.nio.ByteBuffer name)

  Parameters:
    `programObj` -
    `name` -
  Returns:

### glWindowPos2fARB

    void glWindowPos2fARB(float x,
                          float y)

  Parameters:
    `x` -
    `y` -

### glWindowPos2iARB

    void glWindowPos2iARB(int x,
                          int y)

  Parameters:
    `x` -
    `y` -

### glWindowPos2sARB

    void glWindowPos2sARB(short x,
                          short y)

  Parameters:
    `x` -
    `y` -

### glWindowPos3fARB

    void glWindowPos3fARB(float x,
                          float y,
                          float z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glWindowPos3iARB

    void glWindowPos3iARB(int x,
                          int y,
                          int z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glWindowPos3sARB

    void glWindowPos3sARB(short x,
                          short y,
                          short z)

  Parameters:
    `x` -
    `y` -
    `z` -

### glAttachObjectARB

    void glAttachObjectARB(int containerObj,
                           int obj)

  Parameters:
    `containerObj` -
    `obj` -

### glCompileShaderARB

    void glCompileShaderARB(int shaderObj)

  Parameters:
    `shaderObj` -

### glCreateProgramObjectARB

    int glCreateProgramObjectARB()

  Returns:

### glCreateShaderObjectARB

    int glCreateShaderObjectARB(int shaderType)

  Parameters:
    `shaderType` -
  Returns:

### glDeleteObjectARB

    void glDeleteObjectARB(int obj)

  Parameters:
    `obj` -

### glDetachObjectARB

    void glDetachObjectARB(int containerObj,
                           int attachedObj)

  Parameters:
    `containerObj` -
    `attachedObj` -

### glGetActiveUniformARB

    void glGetActiveUniformARB(int programObj,
                               int index,
                               java.nio.IntBuffer length,
                               java.nio.IntBuffer size,
                               java.nio.IntBuffer type,
                               java.nio.ByteBuffer name)

  Parameters:
    `programObj` -
    `index` -
    `length` -
    `size` -
    `type` -
    `name` -

### glGetAttachedObjectsARB

    void glGetAttachedObjectsARB(int containerObj,
                                 java.nio.IntBuffer count,
                                 java.nio.IntBuffer obj)

  Parameters:
    `containerObj` -
    `count` -
    `obj` -

### glGetHandleARB

    int glGetHandleARB(int pname)

  Parameters:
    `pname` -
  Returns:

### glGetInfoLogARB

    void glGetInfoLogARB(int obj,
                         java.nio.IntBuffer length,
                         java.nio.ByteBuffer infoLog)

  Parameters:
    `obj` -
    `length` -
    `infoLog` -

### glGetObjectParameterARB

    void glGetObjectParameterARB(int obj,
                                 int pname,
                                 java.nio.FloatBuffer params)

  Parameters:
    `obj` -
    `pname` -
    `params` -

### glGetObjectParameterARB

    void glGetObjectParameterARB(int obj,
                                 int pname,
                                 java.nio.IntBuffer params)

  Parameters:
    `obj` -
    `pname` -
    `params` -

### glGetShaderSourceARB

    void glGetShaderSourceARB(int obj,
                              java.nio.IntBuffer length,
                              java.nio.ByteBuffer source)

  Parameters:
    `obj` -
    `length` -
    `source` -

### glGetUniformARB

    void glGetUniformARB(int programObj,
                         int location,
                         java.nio.FloatBuffer params)

  Parameters:
    `programObj` -
    `location` -
    `params` -

### glGetUniformARB

    void glGetUniformARB(int programObj,
                         int location,
                         java.nio.IntBuffer params)

  Parameters:
    `programObj` -
    `location` -
    `params` -

### glGetUniformLocationARB

    int glGetUniformLocationARB(int programObj,
                                java.nio.ByteBuffer name)

  Parameters:
    `programObj` -
    `name` -
  Returns:

### glLinkProgramARB

    void glLinkProgramARB(int programObj)

  Parameters:
    `programObj` -

### glShaderSourceARB

    void glShaderSourceARB(int shaderObj,
                           java.nio.ByteBuffer string)

  Parameters:
    `shaderObj` -
    `string` -

### glUniform1ARB

    void glUniform1ARB(int location,
                       java.nio.FloatBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform1ARB

    void glUniform1ARB(int location,
                       java.nio.IntBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform1fARB

    void glUniform1fARB(int location,
                        float v0)

  Parameters:
    `location` -
    `v0` -

### glUniform1iARB

    void glUniform1iARB(int location,
                        int v0)

  Parameters:
    `location` -
    `v0` -

### glUniform2ARB

    void glUniform2ARB(int location,
                       java.nio.FloatBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform2ARB

    void glUniform2ARB(int location,
                       java.nio.IntBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform2fARB

    void glUniform2fARB(int location,
                        float v0,
                        float v1)

  Parameters:
    `location` -
    `v0` -
    `v1` -

### glUniform2iARB

    void glUniform2iARB(int location,
                        int v0,
                        int v1)

  Parameters:
    `location` -
    `v0` -
    `v1` -

### glUniform3ARB

    void glUniform3ARB(int location,
                       java.nio.FloatBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform3ARB

    void glUniform3ARB(int location,
                       java.nio.IntBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform3fARB

    void glUniform3fARB(int location,
                        float v0,
                        float v1,
                        float v2)

  Parameters:
    `location` -
    `v0` -
    `v1` -
    `v2` -

### glUniform3iARB

    void glUniform3iARB(int location,
                        int v0,
                        int v1,
                        int v2)

  Parameters:
    `location` -
    `v0` -
    `v1` -
    `v2` -

### glUniform4ARB

    void glUniform4ARB(int location,
                       java.nio.FloatBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform4ARB

    void glUniform4ARB(int location,
                       java.nio.IntBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform4fARB

    void glUniform4fARB(int location,
                        float v0,
                        float v1,
                        float v2,
                        float v3)

  Parameters:
    `location` -
    `v0` -
    `v1` -
    `v2` -
    `v3` -

### glUniform4iARB

    void glUniform4iARB(int location,
                        int v0,
                        int v1,
                        int v2,
                        int v3)

  Parameters:
    `location` -
    `v0` -
    `v1` -
    `v2` -
    `v3` -

### glUniformMatrix2ARB

    void glUniformMatrix2ARB(int location,
                             boolean transpose,
                             java.nio.FloatBuffer matrices)

  Parameters:
    `location` -
    `transpose` -
    `matrices` -

### glUniformMatrix3ARB

    void glUniformMatrix3ARB(int location,
                             boolean transpose,
                             java.nio.FloatBuffer matrices)

  Parameters:
    `location` -
    `transpose` -
    `matrices` -

### glUniformMatrix4ARB

    void glUniformMatrix4ARB(int location,
                             boolean transpose,
                             java.nio.FloatBuffer matrices)

  Parameters:
    `location` -
    `transpose` -
    `matrices` -

### glUseProgramObjectARB

    void glUseProgramObjectARB(int programObj)

  Parameters:
    `programObj` -

### glValidateProgramARB

    void glValidateProgramARB(int programObj)

  Parameters:
    `programObj` -

### glDisableVertexAttribArrayARB

    void glDisableVertexAttribArrayARB(int index)

  Parameters:
    `index` -

### glEnableVertexAttribArrayARB

    void glEnableVertexAttribArrayARB(int index)

  Parameters:
    `index` -

### glGetVertexAttribARB

    void glGetVertexAttribARB(int index,
                              int pname,
                              java.nio.FloatBuffer params)

  Parameters:
    `index` -
    `pname` -
    `params` -

### glGetVertexAttribARB

    void glGetVertexAttribARB(int index,
                              int pname,
                              java.nio.IntBuffer params)

  Parameters:
    `index` -
    `pname` -
    `params` -

### glGetVertexAttribPointerARB

    java.nio.ByteBuffer glGetVertexAttribPointerARB(int index,
                                                    int pname,
                                                    int size)

  Parameters:
    `index` -
    `pname` -
    `size` -
  Returns:

### glVertexAttrib1fARB

    void glVertexAttrib1fARB(int index,
                             float x)

  Parameters:
    `index` -
    `x` -

### glVertexAttrib1sARB

    void glVertexAttrib1sARB(int index,
                             short x)

  Parameters:
    `index` -
    `x` -

### glVertexAttrib2fARB

    void glVertexAttrib2fARB(int index,
                             float x,
                             float y)

  Parameters:
    `index` -
    `x` -
    `y` -

### glVertexAttrib2sARB

    void glVertexAttrib2sARB(int index,
                             short x,
                             short y)

  Parameters:
    `index` -
    `x` -
    `y` -

### glVertexAttrib3fARB

    void glVertexAttrib3fARB(int index,
                             float x,
                             float y,
                             float z)

  Parameters:
    `index` -
    `x` -
    `y` -
    `z` -

### glVertexAttrib3sARB

    void glVertexAttrib3sARB(int index,
                             short x,
                             short y,
                             short z)

  Parameters:
    `index` -
    `x` -
    `y` -
    `z` -

### glVertexAttrib4fARB

    void glVertexAttrib4fARB(int index,
                             float x,
                             float y,
                             float z,
                             float w)

  Parameters:
    `index` -
    `x` -
    `y` -
    `z` -
    `w` -

### glVertexAttrib4NubARB

    void glVertexAttrib4NubARB(int index,
                               byte x,
                               byte y,
                               byte z,
                               byte w)

  Parameters:
    `index` -
    `x` -
    `y` -
    `z` -
    `w` -

### glVertexAttrib4sARB

    void glVertexAttrib4sARB(int index,
                             short x,
                             short y,
                             short z,
                             short w)

  Parameters:
    `index` -
    `x` -
    `y` -
    `z` -
    `w` -

### glVertexAttribPointerARB

    void glVertexAttribPointerARB(int index,
                                  int size,
                                  boolean unsigned,
                                  boolean normalized,
                                  int stride,
                                  java.nio.ByteBuffer buffer)

  Parameters:
    `index` -
    `size` -
    `unsigned` -
    `normalized` -
    `stride` -
    `buffer` -

### glVertexAttribPointerARB

    void glVertexAttribPointerARB(int index,
                                  int size,
                                  boolean unsigned,
                                  boolean normalized,
                                  int stride,
                                  java.nio.IntBuffer buffer)

  Parameters:
    `index` -
    `size` -
    `unsigned` -
    `normalized` -
    `stride` -
    `buffer` -

### glVertexAttribPointerARB

    void glVertexAttribPointerARB(int index,
                                  int size,
                                  boolean unsigned,
                                  boolean normalized,
                                  int stride,
                                  java.nio.ShortBuffer buffer)

  Parameters:
    `index` -
    `size` -
    `unsigned` -
    `normalized` -
    `stride` -
    `buffer` -

### glVertexAttribPointerARB

    void glVertexAttribPointerARB(int index,
                                  int size,
                                  boolean normalized,
                                  int stride,
                                  java.nio.FloatBuffer buffer)

  Parameters:
    `index` -
    `size` -
    `normalized` -
    `stride` -
    `buffer` -

### glVertexAttribPointerARB

    void glVertexAttribPointerARB(int index,
                                  int size,
                                  int type,
                                  boolean normalized,
                                  int stride,
                                  int bufferOffset)

  Parameters:
    `index` -
    `size` -
    `type` -
    `normalized` -
    `stride` -
    `bufferOffset` -

### glBlendEquationSeparateEXT

    void glBlendEquationSeparateEXT(int modeRGB,
                                    int modeAlpha)

  Parameters:
    `modeRGB` -
    `modeAlpha` -

### glBlendFuncSeparateEXT

    void glBlendFuncSeparateEXT(int sfactorRGB,
                                int dfactorRGB,
                                int sfactorAlpha,
                                int dfactorAlpha)

  Parameters:
    `sfactorRGB` -
    `dfactorRGB` -
    `sfactorAlpha` -
    `dfactorAlpha` -

### glLockArraysEXT

    void glLockArraysEXT(int first,
                         int count)

  Parameters:
    `first` -
    `count` -

### glUnlockArraysEXT

    void glUnlockArraysEXT()

### glDepthBoundsEXT

    void glDepthBoundsEXT(float zmin,
                          float zmax)

  Parameters:
    `zmin` -
    `zmax` -

### glDrawRangeElementsEXT

    void glDrawRangeElementsEXT(int mode,
                                int start,
                                int end,
                                java.nio.ByteBuffer pIndices)

  Parameters:
    `mode` -
    `start` -
    `end` -
    `pIndices` -

### glDrawRangeElementsEXT

    void glDrawRangeElementsEXT(int mode,
                                int start,
                                int end,
                                int count,
                                int type,
                                int buffer_offset)

  Parameters:
    `mode` -
    `start` -
    `end` -
    `count` -
    `type` -
    `buffer_offset` -

### glDrawRangeElementsEXT

    void glDrawRangeElementsEXT(int mode,
                                int start,
                                int end,
                                java.nio.IntBuffer pIndices)

  Parameters:
    `mode` -
    `start` -
    `end` -
    `pIndices` -

### glDrawRangeElementsEXT

    void glDrawRangeElementsEXT(int mode,
                                int start,
                                int end,
                                java.nio.ShortBuffer pIndices)

  Parameters:
    `mode` -
    `start` -
    `end` -
    `pIndices` -

### glFogCoordfEXT

    void glFogCoordfEXT(float coord)

  Parameters:
    `coord` -

### glFogCoordPointerEXT

    void glFogCoordPointerEXT(int stride,
                              java.nio.FloatBuffer data)

  Parameters:
    `stride` -
    `data` -

### glFogCoordPointerEXT

    void glFogCoordPointerEXT(int type,
                              int stride,
                              int buffer_offset)

  Parameters:
    `type` -
    `stride` -
    `buffer_offset` -

### glMultiDrawArraysEXT

    void glMultiDrawArraysEXT(int mode,
                              java.nio.IntBuffer piFirst,
                              java.nio.IntBuffer piCount)

  Parameters:
    `mode` -
    `piFirst` -
    `piCount` -

### glPointParameterEXT

    void glPointParameterEXT(int pname,
                             java.nio.FloatBuffer pfParams)

  Parameters:
    `pname` -
    `pfParams` -

### glPointParameterfEXT

    void glPointParameterfEXT(int pname,
                              float param)

  Parameters:
    `pname` -
    `param` -

### glSecondaryColor3bEXT

    void glSecondaryColor3bEXT(byte red,
                               byte green,
                               byte blue)

  Parameters:
    `red` -
    `green` -
    `blue` -

### glSecondaryColor3fEXT

    void glSecondaryColor3fEXT(float red,
                               float green,
                               float blue)

  Parameters:
    `red` -
    `green` -
    `blue` -

### glSecondaryColor3ubEXT

    void glSecondaryColor3ubEXT(byte red,
                                byte green,
                                byte blue)

  Parameters:
    `red` -
    `green` -
    `blue` -

### glSecondaryColorPointerEXT

    void glSecondaryColorPointerEXT(int size,
                                    boolean unsigned,
                                    int stride,
                                    java.nio.ByteBuffer pPointer)

  Parameters:
    `size` -
    `unsigned` -
    `stride` -
    `pPointer` -

### glSecondaryColorPointerEXT

    void glSecondaryColorPointerEXT(int size,
                                    int stride,
                                    java.nio.FloatBuffer pPointer)

  Parameters:
    `size` -
    `stride` -
    `pPointer` -

### glSecondaryColorPointerEXT

    void glSecondaryColorPointerEXT(int size,
                                    int type,
                                    int stride,
                                    int buffer_offset)

  Parameters:
    `size` -
    `type` -
    `stride` -
    `buffer_offset` -

### glActiveStencilFaceEXT

    void glActiveStencilFaceEXT(int face)

  Parameters:
    `face` -

### glBeginVertexShaderEXT

    void glBeginVertexShaderEXT()

### glBindLightParameterEXT

    int glBindLightParameterEXT(int light,
                                int value)

  Parameters:
    `light` -
    `value` -
  Returns:

### glBindMaterialParameterEXT

    int glBindMaterialParameterEXT(int face,
                                   int value)

  Parameters:
    `face` -
    `value` -
  Returns:

### glBindParameterEXT

    int glBindParameterEXT(int value)

  Parameters:
    `value` -
  Returns:

### glBindTexGenParameterEXT

    int glBindTexGenParameterEXT(int unit,
                                 int coord,
                                 int value)

  Parameters:
    `unit` -
    `coord` -
    `value` -
  Returns:

### glBindTextureUnitParameterEXT

    int glBindTextureUnitParameterEXT(int unit,
                                      int value)

  Parameters:
    `unit` -
    `value` -
  Returns:

### glBindVertexShaderEXT

    void glBindVertexShaderEXT(int id)

  Parameters:
    `id` -

### glDeleteVertexShaderEXT

    void glDeleteVertexShaderEXT(int id)

  Parameters:
    `id` -

### glDisableVariantClientStateEXT

    void glDisableVariantClientStateEXT(int id)

  Parameters:
    `id` -

### glEnableVariantClientStateEXT

    void glEnableVariantClientStateEXT(int id)

  Parameters:
    `id` -

### glEndVertexShaderEXT

    void glEndVertexShaderEXT()

### glExtractComponentEXT

    void glExtractComponentEXT(int res,
                               int src,
                               int num)

  Parameters:
    `res` -
    `src` -
    `num` -

### glGenSymbolsEXT

    int glGenSymbolsEXT(int dataType,
                        int storageType,
                        int range,
                        int components)

  Parameters:
    `dataType` -
    `storageType` -
    `range` -
    `components` -
  Returns:

### glGenVertexShadersEXT

    int glGenVertexShadersEXT(int range)

  Parameters:
    `range` -
  Returns:

### glGetInvariantBooleanEXT

    void glGetInvariantBooleanEXT(int id,
                                  int value,
                                  java.nio.ByteBuffer pbData)

  Parameters:
    `id` -
    `value` -
    `pbData` -

### glGetInvariantFloatEXT

    void glGetInvariantFloatEXT(int id,
                                int value,
                                java.nio.FloatBuffer pfData)

  Parameters:
    `id` -
    `value` -
    `pfData` -

### glGetInvariantIntegerEXT

    void glGetInvariantIntegerEXT(int id,
                                  int value,
                                  java.nio.IntBuffer piData)

  Parameters:
    `id` -
    `value` -
    `piData` -

### glGetLocalConstantBooleanEXT

    void glGetLocalConstantBooleanEXT(int id,
                                      int value,
                                      java.nio.ByteBuffer pbData)

  Parameters:
    `id` -
    `value` -
    `pbData` -

### glGetLocalConstantFloatEXT

    void glGetLocalConstantFloatEXT(int id,
                                    int value,
                                    java.nio.FloatBuffer pfData)

  Parameters:
    `id` -
    `value` -
    `pfData` -

### glGetLocalConstantIntegerEXT

    void glGetLocalConstantIntegerEXT(int id,
                                      int value,
                                      java.nio.IntBuffer piData)

  Parameters:
    `id` -
    `value` -
    `piData` -

### glGetVariantBooleanEXT

    void glGetVariantBooleanEXT(int id,
                                int value,
                                java.nio.ByteBuffer pbData)

  Parameters:
    `id` -
    `value` -
    `pbData` -

### glGetVariantFloatEXT

    void glGetVariantFloatEXT(int id,
                              int value,
                              java.nio.FloatBuffer pfData)

  Parameters:
    `id` -
    `value` -
    `pfData` -

### glGetVariantIntegerEXT

    void glGetVariantIntegerEXT(int id,
                                int value,
                                java.nio.IntBuffer piData)

  Parameters:
    `id` -
    `value` -
    `piData` -

### glGetVariantPointerEXT

    java.nio.ByteBuffer glGetVariantPointerEXT(int id,
                                               int value,
                                               int size)

  Parameters:
    `id` -
    `value` -
    `size` -
  Returns:

### glInsertComponentEXT

    void glInsertComponentEXT(int res,
                              int src,
                              int num)

  Parameters:
    `res` -
    `src` -
    `num` -

### glIsVariantEnabledEXT

    boolean glIsVariantEnabledEXT(int id,
                                  int cap)

  Parameters:
    `id` -
    `cap` -
  Returns:

### glSetInvariantEXT

    void glSetInvariantEXT(int id,
                           boolean unsigned,
                           java.nio.ByteBuffer pAddr)

  Parameters:
    `id` -
    `unsigned` -
    `pAddr` -

### glSetInvariantEXT

    void glSetInvariantEXT(int id,
                           boolean unsigned,
                           java.nio.IntBuffer pAddr)

  Parameters:
    `id` -
    `unsigned` -
    `pAddr` -

### glSetInvariantEXT

    void glSetInvariantEXT(int id,
                           boolean unsigned,
                           java.nio.ShortBuffer pAddr)

  Parameters:
    `id` -
    `unsigned` -
    `pAddr` -

### glSetInvariantEXT

    void glSetInvariantEXT(int id,
                           java.nio.FloatBuffer pAddr)

  Parameters:
    `id` -
    `pAddr` -

### glSetLocalConstantEXT

    void glSetLocalConstantEXT(int id,
                               boolean unsigned,
                               java.nio.ByteBuffer pAddr)

  Parameters:
    `id` -
    `unsigned` -
    `pAddr` -

### glSetLocalConstantEXT

    void glSetLocalConstantEXT(int id,
                               boolean unsigned,
                               java.nio.IntBuffer pAddr)

  Parameters:
    `id` -
    `unsigned` -
    `pAddr` -

### glSetLocalConstantEXT

    void glSetLocalConstantEXT(int id,
                               boolean unsigned,
                               java.nio.ShortBuffer pAddr)

  Parameters:
    `id` -
    `unsigned` -
    `pAddr` -

### glSetLocalConstantEXT

    void glSetLocalConstantEXT(int id,
                               java.nio.FloatBuffer pAddr)

  Parameters:
    `id` -
    `pAddr` -

### glShaderOp1EXT

    void glShaderOp1EXT(int op,
                        int res,
                        int arg1)

  Parameters:
    `op` -
    `res` -
    `arg1` -

### glShaderOp2EXT

    void glShaderOp2EXT(int op,
                        int res,
                        int arg1,
                        int arg2)

  Parameters:
    `op` -
    `res` -
    `arg1` -
    `arg2` -

### glShaderOp3EXT

    void glShaderOp3EXT(int op,
                        int res,
                        int arg1,
                        int arg2,
                        int arg3)

  Parameters:
    `op` -
    `res` -
    `arg1` -
    `arg2` -
    `arg3` -

### glSwizzleEXT

    void glSwizzleEXT(int res,
                      int in,
                      int outX,
                      int outY,
                      int outZ,
                      int outW)

  Parameters:
    `res` -
    `in` -
    `outX` -
    `outY` -
    `outZ` -
    `outW` -

### glVariantEXT

    void glVariantEXT(int id,
                      java.nio.ByteBuffer pAddr)

  Parameters:
    `id` -
    `pAddr` -

### glVariantEXT

    void glVariantEXT(int id,
                      java.nio.FloatBuffer pfAddr)

  Parameters:
    `id` -
    `pfAddr` -

### glVariantEXT

    void glVariantEXT(int id,
                      java.nio.IntBuffer piAddr)

  Parameters:
    `id` -
    `piAddr` -

### glVariantEXT

    void glVariantEXT(int id,
                      java.nio.ShortBuffer psAddr)

  Parameters:
    `id` -
    `psAddr` -

### glVariantPointerEXT

    void glVariantPointerEXT(int id,
                             boolean unsigned,
                             int stride,
                             java.nio.ByteBuffer pAddr)

  Parameters:
    `id` -
    `unsigned` -
    `stride` -
    `pAddr` -

### glVariantPointerEXT

    void glVariantPointerEXT(int id,
                             boolean unsigned,
                             int stride,
                             java.nio.IntBuffer pAddr)

  Parameters:
    `id` -
    `unsigned` -
    `stride` -
    `pAddr` -

### glVariantPointerEXT

    void glVariantPointerEXT(int id,
                             boolean unsigned,
                             int stride,
                             java.nio.ShortBuffer pAddr)

  Parameters:
    `id` -
    `unsigned` -
    `stride` -
    `pAddr` -

### glVariantPointerEXT

    void glVariantPointerEXT(int id,
                             int stride,
                             java.nio.FloatBuffer pAddr)

  Parameters:
    `id` -
    `stride` -
    `pAddr` -

### glVariantPointerEXT

    void glVariantPointerEXT(int id,
                             int type,
                             int stride,
                             int buffer_offset)

  Parameters:
    `id` -
    `type` -
    `stride` -
    `buffer_offset` -

### glVariantuEXT

    void glVariantuEXT(int id,
                       java.nio.ByteBuffer pAddr)

  Parameters:
    `id` -
    `pAddr` -

### glVariantuEXT

    void glVariantuEXT(int id,
                       java.nio.IntBuffer piAddr)

  Parameters:
    `id` -
    `piAddr` -

### glVariantuEXT

    void glVariantuEXT(int id,
                       java.nio.ShortBuffer psAddr)

  Parameters:
    `id` -
    `psAddr` -

### glWriteMaskEXT

    void glWriteMaskEXT(int res,
                        int in,
                        int outX,
                        int outY,
                        int outZ,
                        int outW)

  Parameters:
    `res` -
    `in` -
    `outX` -
    `outY` -
    `outZ` -
    `outW` -

### glVertexWeightfEXT

    void glVertexWeightfEXT(float weight)

  Parameters:
    `weight` -

### glVertexWeightPointerEXT

    void glVertexWeightPointerEXT(int size,
                                  int stride,
                                  java.nio.FloatBuffer pPointer)

  Parameters:
    `size` -
    `stride` -
    `pPointer` -

### glVertexWeightPointerEXT

    void glVertexWeightPointerEXT(int size,
                                  int type,
                                  int stride,
                                  int buffer_offset)

  Parameters:
    `size` -
    `type` -
    `stride` -
    `buffer_offset` -

### glShaderSource

    void glShaderSource(int shader,
                        java.nio.ByteBuffer string)

  Parameters:
    `shader` -
    `string` -

### glCreateShader

    int glCreateShader(int type)

  Parameters:
    `type` -
  Returns:

### glIsShader

    boolean glIsShader(int shader)

  Parameters:
    `shader` -
  Returns:

### glCompileShader

    void glCompileShader(int shader)

  Parameters:
    `shader` -

### glDeleteShader

    void glDeleteShader(int shader)

  Parameters:
    `shader` -

### glCreateProgram

    int glCreateProgram()

  Returns:

### glIsProgram

    boolean glIsProgram(int program)

  Parameters:
    `program` -
  Returns:

### glAttachShader

    void glAttachShader(int program,
                        int shader)

  Parameters:
    `program` -
    `shader` -

### glDetachShader

    void glDetachShader(int program,
                        int shader)

  Parameters:
    `program` -
    `shader` -

### glLinkProgram

    void glLinkProgram(int program)

  Parameters:
    `program` -

### glUseProgram

    void glUseProgram(int program)

  Parameters:
    `program` -

### glValidateProgram

    void glValidateProgram(int program)

  Parameters:
    `program` -

### glDeleteProgram

    void glDeleteProgram(int program)

  Parameters:
    `program` -

### glUniform1f

    void glUniform1f(int location,
                     float v0)

  Parameters:
    `location` -
    `v0` -

### glUniform2f

    void glUniform2f(int location,
                     float v0,
                     float v1)

  Parameters:
    `location` -
    `v0` -
    `v1` -

### glUniform3f

    void glUniform3f(int location,
                     float v0,
                     float v1,
                     float v2)

  Parameters:
    `location` -
    `v0` -
    `v1` -
    `v2` -

### glUniform4f

    void glUniform4f(int location,
                     float v0,
                     float v1,
                     float v2,
                     float v3)

  Parameters:
    `location` -
    `v0` -
    `v1` -
    `v2` -
    `v3` -

### glUniform1i

    void glUniform1i(int location,
                     int v0)

  Parameters:
    `location` -
    `v0` -

### glUniform2i

    void glUniform2i(int location,
                     int v0,
                     int v1)

  Parameters:
    `location` -
    `v0` -
    `v1` -

### glUniform3i

    void glUniform3i(int location,
                     int v0,
                     int v1,
                     int v2)

  Parameters:
    `location` -
    `v0` -
    `v1` -
    `v2` -

### glUniform4i

    void glUniform4i(int location,
                     int v0,
                     int v1,
                     int v2,
                     int v3)

  Parameters:
    `location` -
    `v0` -
    `v1` -
    `v2` -
    `v3` -

### glUniform1

    void glUniform1(int location,
                    java.nio.FloatBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform2

    void glUniform2(int location,
                    java.nio.FloatBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform3

    void glUniform3(int location,
                    java.nio.FloatBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform4

    void glUniform4(int location,
                    java.nio.FloatBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform1

    void glUniform1(int location,
                    java.nio.IntBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform2

    void glUniform2(int location,
                    java.nio.IntBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform3

    void glUniform3(int location,
                    java.nio.IntBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniform4

    void glUniform4(int location,
                    java.nio.IntBuffer values)

  Parameters:
    `location` -
    `values` -

### glUniformMatrix2

    void glUniformMatrix2(int location,
                          boolean transpose,
                          java.nio.FloatBuffer matrices)

  Parameters:
    `location` -
    `transpose` -
    `matrices` -

### glUniformMatrix3

    void glUniformMatrix3(int location,
                          boolean transpose,
                          java.nio.FloatBuffer matrices)

  Parameters:
    `location` -
    `transpose` -
    `matrices` -

### glUniformMatrix4

    void glUniformMatrix4(int location,
                          boolean transpose,
                          java.nio.FloatBuffer matrices)

  Parameters:
    `location` -
    `transpose` -
    `matrices` -

### glGetShader

    void glGetShader(int shader,
                     int pname,
                     java.nio.IntBuffer params)

  Parameters:
    `shader` -
    `pname` -
    `params` -

### glGetProgram

    void glGetProgram(int program,
                      int pname,
                      java.nio.IntBuffer params)

  Parameters:
    `program` -
    `pname` -
    `params` -

### glGetShaderInfoLog

    void glGetShaderInfoLog(int shader,
                            java.nio.IntBuffer length,
                            java.nio.ByteBuffer infoLog)

  Parameters:
    `shader` -
    `length` -
    `infoLog` -

### glGetProgramInfoLog

    void glGetProgramInfoLog(int program,
                             java.nio.IntBuffer length,
                             java.nio.ByteBuffer infoLog)

  Parameters:
    `program` -
    `length` -
    `infoLog` -

### glGetAttachedShaders

    void glGetAttachedShaders(int program,
                              java.nio.IntBuffer count,
                              java.nio.IntBuffer shaders)

  Parameters:
    `program` -
    `count` -
    `shaders` -

### glGetUniformLocation

    int glGetUniformLocation(int program,
                             java.nio.ByteBuffer name)

  Parameters:
    `program` -
    `name` -
  Returns:

### glGetActiveUniform

    void glGetActiveUniform(int program,
                            int index,
                            java.nio.IntBuffer length,
                            java.nio.IntBuffer size,
                            java.nio.IntBuffer type,
                            java.nio.ByteBuffer name)

  Parameters:
    `program` -
    `index` -
    `length` -
    `size` -
    `type` -
    `name` -

### glGetUniform

    void glGetUniform(int program,
                      int location,
                      java.nio.FloatBuffer params)

  Parameters:
    `program` -
    `location` -
    `params` -

### glGetUniform

    void glGetUniform(int program,
                      int location,
                      java.nio.IntBuffer params)

  Parameters:
    `program` -
    `location` -
    `params` -

### glGetShaderSource

    void glGetShaderSource(int shader,
                           java.nio.IntBuffer length,
                           java.nio.ByteBuffer source)

  Parameters:
    `shader` -
    `length` -
    `source` -

### glBindAttribLocation

    void glBindAttribLocation(int program,
                              int index,
                              java.nio.ByteBuffer name)

  Parameters:
    `program` -
    `index` -
    `name` -

### glGetActiveAttrib

    void glGetActiveAttrib(int program,
                           int index,
                           java.nio.IntBuffer length,
                           java.nio.IntBuffer size,
                           java.nio.IntBuffer type,
                           java.nio.ByteBuffer name)

  Parameters:
    `program` -
    `index` -
    `length` -
    `size` -
    `type` -
    `name` -

### glGetAttribLocation

    int glGetAttribLocation(int program,
                            java.nio.ByteBuffer name)

  Parameters:
    `program` -
    `name` -
  Returns:

### glDrawBuffers

    void glDrawBuffers(java.nio.IntBuffer buffers)

  Parameters:
    `buffers` -

### glStencilFuncSeparate

    void glStencilFuncSeparate(int face,
                               int func,
                               int ref,
                               int mask)

  Parameters:
    `face` -
    `func` -
    `ref` -
    `mask` -

### glStencilOpSeparate

    void glStencilOpSeparate(int face,
                             int sfail,
                             int dpfail,
                             int dppass)

  Parameters:
    `face` -
    `sfail` -
    `dpfail` -
    `dppass` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.